﻿/*
Created: 5/6/2014
Modified: 6/13/2014
Project: PCDW
Model: PCDW_20140601_SQL2008
Company: Automated Systems Alliance, Inc
Author: Clifford N. Brandon, III
Version: 1.02
Database: MS SQL Server 2008
*/



-- Create tables section -------------------------------------------------

/* PROJECT CONTROL DATA WAREHOUSE NOTICE
License:
The contents of this file in either electronic or hard copy formats is subject to the Project Control Data Warehouse License Version 2.0 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. Review of this document or related source code, in whole or in part, constitutes acceptance of the terms and conditions of the License. You may obtain a copy of the License at http://www.asaservices.biz
Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.
Copyrights:
Copyright (c) 2009 By Automated Systems Alliance, Inc., All Rights Reserved.
Acknowledgements:
Special thanks to everyone who has encouraged the creation of this new product.
Versions:
Original Version: Base v0.00 (Beta) Released 3/31/2009
Past Version:     PCDW v0.01 (Beta) Released 7/10/2009
Past Version:     PCDW v1.00 Released 5/27/2014
Past Version:     PCDW v1.01 Released 6/1/2014
Current Version:  PCDW v1.02 Released 6/12/2014
*/

-- Table dbo.D00_LICENSE

CREATE TABLE [D00_LICENSE]
(
 [pcdw_PK] Bigint NOT NULL,
 [pcdwCopyrightSource_FK] Bigint NOT NULL,
 [pcdwVersion_NK] Char(30) NULL,
 [pcdwCopyrightNotice] Char(250) NOT NULL,
 [pcdwEffectiveDate] Datetime NULL,
 [pcdwContributor] Char(50) NOT NULL,
 [pcdwLicense] Varchar(1000) NULL,
 [pcdwAcknowlegements] Char(250) NULL,
 [pcdwModifications] Varchar(1000) NULL,
 [pcdwLicenseUrl] Char(250) NULL
)
ON [PRIMARY]
go

-- Insert PCDW license records

INSERT INTO D00_LICENSE 
(
 [pcdw_PK],
 [pcdwCopyrightSource_FK],
 [pcdwVersion_NK],
 [pcdwEffectiveDate],
 [pcdwCopyrightNotice],
 [pcdwContributor],
 [pcdwLicense],
 [pcdwAcknowlegements],
 [pcdwModifications],
 [pcdwLicenseUrl]
)
VALUES
(
1,
0,
'v0.00 (beta)',
'3/31/2009',
'Copyright (c) 2009 by Automated Systems Alliance, Inc., All rights reserved.',
'Clifford N. Brandon, III',
'The contents of this file in either electronic or hard
copy formats is subject to the Project Control Data 
Warehouse License Version 1.0 (the License). 
You may not copy or use this file, in either source 
code or executable form, except in compliance with 
the License. Review of this document or related 
source code, in whole or in part, constitutes 
acceptance of the terms and conditions of the License. 
You may obtain a copy of the License at 
http://www.asaservices.biz
Software distributed under the License is 
distributed on an AS IS basis, WITHOUT WARRANTY OF 
ANY KIND, either express or implied. 
See the License for the specific language governing 
rights and limitations under the License.',
'Special thanks to everyone who has encouraged the creation of this new product.',
'Original Version: Base v0.00 (Beta)',
'http://www.asaservices.biz'
)
,(
2,
1,
'v0.01 (beta)',
'7/10/2009',
'Copyright (c) 2009 by Automated Systems Alliance, Inc., All rights reserved.',
'Clifford N. Brandon, III',
'The contents of this file in either electronic or hard
copy formats is subject to the Project Control Data 
Warehouse License Version 2.0 (the License). 
You may not copy or use this file, in either source 
code or executable form, except in compliance with 
the License. Review of this document or related 
source code, in whole or in part, constitutes 
acceptance of the terms and conditions of the License. 
You may obtain a copy of the License at 
http://www.asaservices.biz
Software distributed under the License is 
distributed on an AS IS basis, WITHOUT WARRANTY OF 
ANY KIND, either express or implied. 
See the License for the specific language governing 
rights and limitations under the License.',
'Special thanks to everyone who has encouraged the creation of this new product.',
'Version: PCDW v0.00 (Beta)',
'http://www.asaservices.biz'
)
,(
3,
2,
'v1.00',
'5/27/2014',
'Copyright (c) 2009, 2014 by Automated Systems Alliance, Inc., All rights reserved.',
'Clifford N. Brandon, III',
'The contents of this file in either electronic or hard
copy formats is subject to the Project Control Data 
Warehouse License Version 3.0 (the License). 
You may not copy or use this file, in either source 
code or executable form, except in compliance with 
the License. Review of this document or related 
source code, in whole or in part, constitutes 
acceptance of the terms and conditions of the License. 
You may obtain a copy of the License at 
http://www.asaservices.biz
Software distributed under the License is 
distributed on an AS IS basis, WITHOUT WARRANTY OF 
ANY KIND, either express or implied. 
See the License for the specific language governing 
rights and limitations under the License.',
'Special thanks to everyone who has encouraged the creation of this new product.',
'Version: PCDW v0.01 (Beta)',
'http://www.asaservices.biz'
)
,(
4,
3,
'v1.01',
'6/1/2014',
'Copyright (c) 2009, 2014 by Automated Systems Alliance, Inc., All rights reserved.',
'Clifford N. Brandon, III',
'The contents of this file in either electronic or hard
copy formats is subject to the Project Control Data 
Warehouse License Version 3.0 (the License). 
You may not copy or use this file, in either source 
code or executable form, except in compliance with 
the License. Review of this document or related 
source code, in whole or in part, constitutes 
acceptance of the terms and conditions of the License. 
You may obtain a copy of the License at 
http://www.asaservices.biz
Software distributed under the License is 
distributed on an AS IS basis, WITHOUT WARRANTY OF 
ANY KIND, either express or implied. 
See the License for the specific language governing 
rights and limitations under the License.',
'Special thanks to everyone who has encouraged the creation of this new product.',
'Version: PCDW v1.00',
'http://www.asaservices.biz'
)
,(
5,
4,
'v1.02',
'6/12/2014',
'Copyright (c) 2009, 2014 by Automated Systems Alliance, Inc., All rights reserved.',
'Clifford N. Brandon, III',
'The contents of this file in either electronic or hard
copy formats is subject to the Project Control Data 
Warehouse License Version 3.0 (the License). 
You may not copy or use this file, in either source 
code or executable form, except in compliance with 
the License. Review of this document or related 
source code, in whole or in part, constitutes 
acceptance of the terms and conditions of the License. 
You may obtain a copy of the License at 
http://www.asaservices.biz
Software distributed under the License is 
distributed on an AS IS basis, WITHOUT WARRANTY OF 
ANY KIND, either express or implied. 
See the License for the specific language governing 
rights and limitations under the License.',
'Special thanks to everyone who has encouraged the creation of this new product.',
'Version: PCDW v1.01',
'http://www.asaservices.biz'
)
go


-- Create indexes for table dbo.D00_LICENSE

CREATE UNIQUE INDEX [ndx_pcdwVersion] ON [D00_LICENSE] ([pcdwVersion_NK])
 ON [PRIMARY]
go

-- Add keys for table dbo.D00_LICENSE

ALTER TABLE [D00_LICENSE] ADD CONSTRAINT [PK_D00_LICENSE] PRIMARY KEY ([pcdw_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_PROJECTPHASE

CREATE TABLE [DPJ_PROJECTPHASE]
(
 [pjpp_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjppProjectPhaseId_NK] Char(15) NOT NULL,
 [pjppProjectPhase] Char(30) NULL,
 [pjppDescription] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_PROJECTPHASE

ALTER TABLE [DPJ_PROJECTPHASE] ADD CONSTRAINT [PK_DPJ_PROJECTPHASE] PRIMARY KEY ([pjpp_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_ACTIONCODE

CREATE TABLE [DAF_ACTIONCODE]
(
 [afac_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afacActionCodeId_NK] Char(20) NOT NULL,
 [afacActionCode] Char(30) NULL,
 [afacDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_ACTIONCODE

ALTER TABLE [DAF_ACTIONCODE] ADD CONSTRAINT [PK_DAF_ACTIONCODE] PRIMARY KEY ([afac_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_ADDRESSBOOK

CREATE TABLE [DAF_ADDRESSBOOK]
(
 [afbk_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afavAddressBookVol_FK] Bigint NULL,
 [afbkAddressBookVolId_NK] Char(5) NOT NULL,
 [afbkPersonId_NK] Char(15) NOT NULL,
 [afbkPerson] Char(50) NULL,
 [afbkEmail_CK] Char(50) NULL,
 [afcoEmployer_FK] Bigint NULL,
 [afbkEmployerId] Char(10) NULL,
 [afbkEmployer] Char(50) NULL,
 [xxxxDivision_FK] Bigint NULL,
 [afbkDivisionId] Char(5) NULL,
 [afbkDivision] Char(50) NULL,
 [xxxxDepartment_FK] Bigint NULL,
 [afbkDepartmentId] Char(5) NULL,
 [afbkDepartment] Char(50) NULL,
 [xxxxOffice_FK] Bigint NULL,
 [afbkOfficeId] Char(10) NULL,
 [afbkOffice] Char(50) NULL,
 [afbkSupervisor_FK] Bigint NULL,
 [afbkSupervisorId] Char(15) NULL,
 [afbkSupervisor] Char(50) NULL,
 [afbkShow] Bit NULL,
 [afbkEmploymentStatus] Char(1) NULL,
 [afbkBuyer] Bit NULL,
 [afbkPayableContact] Bit NULL,
 [afbkOrderContact] Bit NULL,
 [afbkContractContact] Bit NULL,
 [afbkManagementContact] Bit NULL,
 [afbkSalutation] Char(4) NULL,
 [afbkFirstName] Char(24) NULL,
 [afbkMiddleInital] Char(1) NULL,
 [afbkLastName] Char(1) NULL,
 [afbkNameSuffix] Char(3) NULL,
 [afbkInitals] Char(1) NULL,
 [afbkNickName] Char(15) NULL,
 [afbkJobTitle] Char(50) NULL,
 [afloSiteAssignment_FK] Bigint NULL,
 [afbkSiteAssignmentId] Char(15) NULL,
 [afbkWorkPhone1Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkPhone1] Char(14) NULL,
 [afbkWorkPhone1Ext] Char(4) NULL,
 [afbkWorkPhone2Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkPhone2] Char(14) NULL,
 [afbkWorkPhone2Ext] Char(4) NULL,
 [afbkWorkFax1Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkFax1] Char(13) NULL,
 [afbkWorkFax2Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkFax2] Char(13) NULL,
 [afbkWorkMobile1Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkMobile1] Char(14) NULL,
 [afbkWorkMobile2Country] Char(3) DEFAULT 1 NULL,
 [afbkWorkMobile2] Char(14) NULL,
 [afbkWorkPager] Char(13) NULL,
 [afbkWorkEmail1] Char(50) NULL,
 [afbkWorkEmail2] Char(50) NULL,
 [afbkWorkWebUrl] Char(250) NULL,
 [afbkWorkAddress1] Char(40) NULL,
 [afbkWorkAddress2] Char(40) NULL,
 [afbkWorkCity] Char(30) NULL,
 [afstWorkState_FK] Bigint NULL,
 [afbkWorkStateId] Char(30) NULL,
 [afbkWorkState] Char(30) NULL,
 [afbkWorkPostalCode] Char(10) NULL,
 [afcnWorkCountry_FK] Bigint NULL,
 [afbkWorkCountryId] Char(30) NULL,
 [afbkWorkCountry] Char(30) NULL,
 [afbkHomeEmail] Char(50) NULL,
 [afbkHomePhoneCountry] Char(3) DEFAULT 1 NULL,
 [afbkHomePhone] Char(14) NULL,
 [afbkHomeMobileCountry] Char(3) DEFAULT 1 NULL,
 [afbkHomeMobile] Char(14) NULL,
 [afbkHomeFax] Char(13) NULL,
 [afbkHomeAddress1] Char(40) NULL,
 [afbkHomeAddress2] Char(40) NULL,
 [afbkHomeCity] Char(30) NULL,
 [afstHomeState_FK] Bigint NULL,
 [afbkHomeStateId] Char(30) NULL,
 [afbkHomeState] Char(30) NULL,
 [afbkHomePostalCode] Char(10) NULL,
 [afcnHomeCountry_FK] Bigint NULL,
 [afbkHomeCountryId] Char(30) NULL,
 [afbkHomeCountry] Char(30) NULL,
 [afbkHomeWebUrl] Char(250) NULL,
 [afbkHomeEmergencyContact] Char(50) NULL,
 [afbkHomeEmergencyCountry] Char(3) DEFAULT 1 NULL,
 [afbkHomeEmergencyPhone] Char(14) NULL,
 [afbkHomeEmergencyExt] Char(4) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_ADDRESSBOOK

ALTER TABLE [DAF_ADDRESSBOOK] ADD CONSTRAINT [PK_DAF_ADDRESSBOOK] PRIMARY KEY ([afbk_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_BANK

CREATE TABLE [DAF_BANK]
(
 [afbn_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afbnBankRouting_NK] Decimal(9,0) NOT NULL,
 [afbnBankAccount_NK] Decimal(12,0) NOT NULL,
 [afbnBank] Char(50) NULL,
 [afbnBankStateId] Bit NULL,
 [afbnFirstCheckNo] Int NULL,
 [afbnLastCheckNo] Int NULL,
 [afbnApGlCashAcount] Char(20) NULL,
 [afbnArGlCashAcount] Char(20) NULL,
 [afcoCompany_FK] Bigint NULL,
 [afbnCompanyId] Char(10) NULL,
 [afbnCompany] Char(50) NULL,
 [afbnPhoneCountry] Char(3) DEFAULT 1 NULL,
 [afbnPhone] Char(14) NULL,
 [afbnPhoneExt] Char(4) NULL,
 [afbnFaxCountry] Char(3) DEFAULT 1 NULL,
 [afbnFax] Char(13) NULL,
 [afbnAddress1] Char(40) NULL,
 [afbnAddress2] Char(40) NULL,
 [afbnCity] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [afbnStateId] Char(30) NULL,
 [afbnState] Char(30) NULL,
 [afcnCountry_FK] Bigint NULL,
 [afbnCountryId] Char(30) NULL,
 [afbnCountry] Char(30) NULL,
 [afbnPostalCode] Char(10) NULL,
 [afbnWebUrl] Char(250) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_BANK

ALTER TABLE [DAF_BANK] ADD CONSTRAINT [PK_DAF_BANK] PRIMARY KEY ([afbn_PK])
go

-- Table dbo.DAF_CALENDAR

CREATE TABLE [DAF_CALENDAR]
(
 [afca_PK] Bigint NOT NULL,
 [afcaDateId_NK] Datetime NOT NULL,
 [afcaWeek] Tinyint NULL,
 [afcaDayOfWeek] Tinyint NULL,
 [afcaMonth] Tinyint NULL,
 [afcaQuarter] Tinyint NULL,
 [afcaYear] Smallint NULL,
 [afcaFiscalDate] Datetime NULL,
 [afcaFiscalPeriod] Char(10) NULL,
 [afcaFiscalDateEnd] Bit NULL,
 [afcaTimeCardDate] Datetime NULL,
 [afcaTimeCardPeriod] Char(10) NULL,
 [afcaTimeCardDateEnd] Bit NULL,
 [afcaBudgetDate] Datetime NULL,
 [afcaBudgetPeriod] Char(10) NULL,
 [afcaBudgetDateEnd] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_CALENDAR

ALTER TABLE [DAF_CALENDAR] ADD CONSTRAINT [PK_DAF_CALENDAR] PRIMARY KEY ([afca_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COMPANY

CREATE TABLE [DAF_COMPANY]
(
 [afco_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompanyId_NK] Char(10) NOT NULL,
 [afcoCompany] Char(50) NULL,
 [aftiTin_FK] Bigint NULL,
 [afcoTinId] Char(15) NULL,
 [aftnTinType_FK] Bigint NULL,
 [afcoTinType] Char(50) NULL,
 [afcoTaxExemptId] Char(15) NULL,
 [aftxTaxJurisdiction_FK] Bigint NULL,
 [afcoTaxJurisdiction] Char(50) NULL,
 [afcoOrderCounty] Char(30) NULL,
 [afcoOrderMunicipality] Char(30) NULL,
 [afttTaxType_FK] Bigint NULL,
 [afcoTaxType] Char(50) NULL,
 [xxxxIndustryCode_FK] Bigint NULL,
 [afcoIndustryCodeId] Char(15) NULL,
 [afcoAddress1] Char(40) NULL,
 [afcoAddress2] Char(40) NULL,
 [afcoCity] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [afcoStateId] Char(30) NULL,
 [afcoState] Char(30) NULL,
 [afcoPostalCode] Char(10) NULL,
 [afcnCountry_FK] Bigint NULL,
 [afcoCountryId] Char(30) NULL,
 [afcoCountry] Char(30) NULL,
 [afcoPhoneCountry] Char(3) DEFAULT 1 NULL,
 [afcoPhone] Char(14) NULL,
 [afcoPhoneExt] Char(4) NULL,
 [afcoFaxCountry] Char(3) DEFAULT 1 NULL,
 [afcoFax] Char(13) NULL,
 [afcoCustomer] Bit NULL,
 [afcoOperator] Bit NULL,
 [afcoSupplier] Bit NULL,
 [afcoContractor] Bit NULL,
 [afcoSubContractor] Bit NULL,
 [afcoInternalCustomer] Bit NULL,
 [afcoGovernment] Bit NULL,
 [afbkContact1_FK] Bigint NULL,
 [afcoContact1Id] Char(15) NULL,
 [afcoContact1Title] Char(30) NULL,
 [afcoContact1Email] Char(50) NULL,
 [afcoContact1CountryCode] Char(3) DEFAULT 1 NULL,
 [afcoContact1Phone] Char(14) NULL,
 [afcoContact1PhoneExt] Char(4) NULL,
 [afcoContact1City] Char(30) NULL,
 [afstContact1State_FK] Bigint NULL,
 [afcoContact1StateId] Char(30) NULL,
 [afcoContact1State] Char(30) NULL,
 [afcnContact1Country_FK] Bigint NULL,
 [afcoContact1CountryId] Char(30) NULL,
 [afcoContact1Country] Char(30) NULL,
 [afbkContact2_FK] Bigint NULL,
 [afcoContact2Id] Char(15) NULL,
 [afcoContact2Title] Char(30) NULL,
 [afcoContact2Email] Char(50) NULL,
 [afcoContact2Country] Char(3) DEFAULT 1 NULL,
 [afcoContact2Phone] Char(14) NULL,
 [afcoContact2PhoneExt] Char(4) NULL,
 [afcoContact2City] Char(30) NULL,
 [afstContact2State_FK] Bigint NULL,
 [afcoContact2StateId] Char(30) NULL,
 [afcoContact2State] Char(30) NULL,
 [afcnContact2Country_FK] Bigint NULL,
 [afcoContact2CountryId] Char(30) NULL,
 [afcoContac2tCountry] Char(30) NULL,
 [afbkOrderContact_FK] Bigint NULL,
 [afcoOrderContactId] Char(15) NULL,
 [afcoOrderCompany] Char(50) NULL,
 [afcoOrderEmail] Char(50) NULL,
 [afcoOrdePhonerCountry] Char(3) DEFAULT 1 NULL,
 [afcoOrderPhone] Char(14) NULL,
 [afcoOrderPhoneExt] Char(4) NULL,
 [afcoOrderFaxCountry] Char(3) DEFAULT 1 NULL,
 [afcoOrderFax] Char(13) NULL,
 [afcoOrderAddress1] Char(40) NULL,
 [afcoOrderAddress2] Char(40) NULL,
 [afcoOrderCity] Char(30) NULL,
 [afstOrderState_FK] Bigint NULL,
 [afbnOrderStateId] Char(30) NULL,
 [afcoOrderState] Char(30) NULL,
 [afcnOrderCountry_FK] Bigint NULL,
 [afbnOrderCountryId] Char(30) NULL,
 [afcoOrderCountry] Char(30) NULL,
 [afcoOrderPostalCode] Char(10) NULL,
 [afcoApCompanyCheck] Char(50) NULL,
 [afcoApCompany] Char(50) NULL,
 [afbkApContact_FK] Bigint NULL,
 [afcoApContactId] Char(15) NULL,
 [afcoApEmail] Char(50) NULL,
 [afcoApPhoneCountry] Char(3) DEFAULT 1 NULL,
 [afcoApPhone] Char(14) NULL,
 [afcoApPhoneExt] Char(4) NULL,
 [afcoApFaxCountry] Char(3) DEFAULT 1 NULL,
 [afcoApFax] Char(13) NULL,
 [afcoApAddress1] Char(40) NULL,
 [afcoApAddress2] Char(40) NULL,
 [afcoApCity] Char(30) NULL,
 [afstApState_FK] Bigint NULL,
 [afcoApStateId] Char(30) NULL,
 [afcoApState] Char(30) NULL,
 [afcnApCountry_FK] Bigint NULL,
 [afcoApCountryId] Char(30) NULL,
 [afcoApCountry] Char(30) NULL,
 [afcoApPostalCode] Char(10) NULL,
 [afcoArCompany] Char(50) NULL,
 [afcoArCompanyCheck] Char(50) NULL,
 [afbkArContact_FK] Bigint NULL,
 [afcoArContactId] Char(15) NULL,
 [afcoArEmail] Char(50) NULL,
 [afcoArPhoneCountry] Char(3) DEFAULT 1 NULL,
 [afcoArPhone] Char(14) NULL,
 [afcoArPhoneExt] Char(4) NULL,
 [afcoArFaxCountry] Char(3) DEFAULT 1 NULL,
 [afcoArFax] Char(13) NULL,
 [afcoArAddress1] Char(40) NULL,
 [afcoArAddress2] Char(40) NULL,
 [afcoArCity] Char(30) NULL,
 [afstArState_FK] Bigint NULL,
 [afcoArStateId] Char(30) NULL,
 [afcoArState] Char(30) NULL,
 [afcnArCountry_FK] Bigint NULL,
 [afcoArCountryId] Char(30) NULL,
 [afcoArCountry] Char(30) NULL,
 [afcoArPostalCode] Char(10) NULL,
 [afcoNameVariationCnt_AG] Smallint NULL,
 [afcaLastDatePaid_FK] Bigint NULL,
 [afcoLastDatePaid] Datetime NULL,
 [afcaLastDateBilled_FK] Bigint NULL,
 [afcoLastDateBilled] Datetime NULL,
 [afcoMaterialOrderCount_AG] Smallint NULL,
 [afcoContractOrderCount_AG] Smallint NULL,
 [afcoOpenMaterialOrder_AG] Smallint NULL,
 [afcoOpenContractOrder_AG] Smallint NULL,
 [afcoTotalPaidToDate_AG] Decimal(18,2) NULL,
 [afcoTotalBilledToDate_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COMPANY

ALTER TABLE [DAF_COMPANY] ADD CONSTRAINT [PK_DAF_COMPANY] PRIMARY KEY ([afco_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COSTCLASS

CREATE TABLE [DAF_COSTCLASS]
(
 [afcl_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afclCostClassId_NK] Char(15) NOT NULL,
 [afclCostClass] Char(30) NULL,
 [afclDesc] Char(60) NULL,
 [afclStdFlag] Bit NULL,
 [xxxxStdCostClass_FK] Bigint NULL,
 [afclStdCostClassId] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COSTCLASS

ALTER TABLE [DAF_COSTCLASS] ADD CONSTRAINT [PK_DAF_COSTCLASS] PRIMARY KEY ([afcl_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COSTCODE

CREATE TABLE [DAF_COSTCODE]
(
 [afcc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afccCostCodeId_NK] Char(10) NOT NULL,
 [afccCostCode] Char(30) NULL,
 [afccDesc] Char(60) NULL,
 [afccsStdCostCode_FK] Bigint NULL,
 [afccStdCostCodeId] Char(10) NULL,
 [afccaAltCostCode_FK] Bigint NULL,
 [afccsAltCostCodeId] Char(10) NULL,
 [afccEstimateType] Bit NULL,
 [afccProjectType] Bit NULL,
 [afccTimeType] Bit NULL,
 [afccScheduleType] Bit NULL,
 [afccBillingType] Bit NULL,
 [afclCostClass_FK] Bigint NULL,
 [afccCostClassId] Char(15) NULL,
 [afumUom_FK] Bigint NULL,
 [afccUom] Char(5) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [afccQtyMetricId] Char(5) NULL,
 [afccDirectIndirect] Char(1) NULL,
 [afctCostType_FK] Bigint NULL,
 [afccCostTypeId] Char(2) NULL,
 [glacCreditAccount_FK] Bigint NULL,
 [afccCreditAccount] Char(20) NULL,
 [glacDeditAccount_FK] Bigint NULL,
 [afccDebitAccount] Char(20) NULL,
 [afccActiveTaskCount_AG] Smallint NULL,
 [afccActiveOrderLineCount_AG] Smallint NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COSTCODE

ALTER TABLE [DAF_COSTCODE] ADD CONSTRAINT [PK_DAF_COSTCODE] PRIMARY KEY ([afcc_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COSTTYPE

CREATE TABLE [DAF_COSTTYPE]
(
 [afct_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afctCostTypeId_NK] Char(2) NOT NULL,
 [afctCostType] Char(30) NULL,
 [afctDesc] Char(60) NULL,
 [afctStdFlag] Char(1) NULL,
 [xxxxStdCostTypeId_FK] Char(2) NULL,
 [xxxxStdCostTypeId] Char(2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COSTTYPE

ALTER TABLE [DAF_COSTTYPE] ADD CONSTRAINT [PK_DAF_COSTTYPE] PRIMARY KEY ([afct_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_CURRENCY

CREATE TABLE [DAF_CURRENCY]
(
 [afcu_PK] Bigint NOT NULL,
 [afcuCurrencyCodeId_NK] Char(3) NOT NULL,
 [afcuCurrency] Char(50) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_CURRENCY

ALTER TABLE [DAF_CURRENCY] ADD CONSTRAINT [PK_DAF_CURRENCY] PRIMARY KEY ([afcu_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COUNTRY

CREATE TABLE [DAF_COUNTRY]
(
 [afcn_PK] Bigint NOT NULL,
 [afcnCountryId_NK] Char(30) NOT NULL,
 [afcuCountry] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COUNTRY

ALTER TABLE [DAF_COUNTRY] ADD CONSTRAINT [PK_DAF_COUNTRY] PRIMARY KEY ([afcn_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COUNTRYSTATE

CREATE TABLE [DAF_COUNTRYSTATE]
(
 [afst_PK] Bigint NOT NULL,
 [afcnCountry_FK] Bigint NOT NULL,
 [afstCountryId_NK] Char(30) NOT NULL,
 [afstStateId_NK] Char(30) NOT NULL,
 [afstState] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_COUNTRYSTATE

ALTER TABLE [DAF_COUNTRYSTATE] ADD CONSTRAINT [PK_DAF_COUNTRYSTATE] PRIMARY KEY ([afst_PK],[afcnCountry_FK])
 ON [PRIMARY]
go

-- Table dbo.DSY_ERRORCODE

CREATE TABLE [DSY_ERRORCODE]
(
 [syec_PK] Bigint NOT NULL,
 [syecErrorCodeId_NK] Char(20) NOT NULL,
 [syecErrorCode] Char(30) NULL,
 [syecErrorDesc] Char(60) NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DSY_ERRORCODE

ALTER TABLE [DSY_ERRORCODE] ADD CONSTRAINT [PK_DSY_ERRORCODE] PRIMARY KEY ([syec_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_FACILITY

CREATE TABLE [DAF_FACILITY]
(
 [affa_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [affaFacilityId_NK] Char(5) NOT NULL,
 [affaFacility] Char(50) NULL,
 [afplPlant_FK] Bigint NOT NULL,
 [affaPlantId] Char(4) NULL,
 [afloLocation_FK] Bigint NULL,
 [affaLocationId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_FACILITY

ALTER TABLE [DAF_FACILITY] ADD CONSTRAINT [PK_DAF_FACILITY] PRIMARY KEY ([affa_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_FACILITYBRIDGE

CREATE TABLE [DAF_FACILITYBRIDGE]
(
 [afso_FK] Bigint NOT NULL,
 [affaFacilityParent_PK] Bigint NOT NULL,
 [affaFacility_PK] Bigint NOT NULL,
 [affbFacilityId] Char(5) NULL,
 [affbFacility] Char(50) NULL,
 [affbLevel] Char(1) NULL,
 [affbTopFlag] Char(1) NULL,
 [affbEndFlag] Char(1) NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_FACILITYBRIDGE

ALTER TABLE [DAF_FACILITYBRIDGE] ADD CONSTRAINT [PK_DAF_FACILITYBRIDGE] PRIMARY KEY ([affaFacilityParent_PK],[affaFacility_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_FREIGHTCODE

CREATE TABLE [DAF_FREIGHTCODE]
(
 [affc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [affcFreightCodeId_NK] Char(15) NOT NULL,
 [affcFreightCode] Char(30) NULL,
 [affcStdFlag] Bit NULL,
 [xxxxStdFreightCode_FK] Bigint NULL,
 [affcStdFreightCodeId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_FREIGHTCODE

ALTER TABLE [DAF_FREIGHTCODE] ADD CONSTRAINT [PK_DAF_FREIGHTCODE] PRIMARY KEY ([affc_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_GRADE

CREATE TABLE [DAF_GRADE]
(
 [afgd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afgdGradeId_NK] Char(2) NOT NULL,
 [afgdGrade] Char(30) NULL,
 [afgdDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_GRADE

ALTER TABLE [DAF_GRADE] ADD CONSTRAINT [PK_DAF_GRADE] PRIMARY KEY ([afgd_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_GROUP

CREATE TABLE [DAF_GROUP]
(
 [afgr_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afgrGroupId_NK] Char(5) NOT NULL,
 [afgrGroup] Char(50) NULL,
 [afgrDesc] Char(60) NULL,
 [afcoCompany_FK] Bigint NULL,
 [afgrCompanyId] Char(10) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_GROUP

ALTER TABLE [DAF_GROUP] ADD CONSTRAINT [PK_DAF_GROUP] PRIMARY KEY ([afgr_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_LOCATION

CREATE TABLE [DAF_LOCATION]
(
 [aflo_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [afloLocationId_NK] Char(15) NOT NULL,
 [afloLocation] Char(50) NULL,
 [afcoLocationOwner_FK] Bigint NULL,
 [afloLocationOwnerId] Char(10) NULL,
 [afbkContact_FK] Bigint NULL,
 [afloContactId] Char(15) NULL,
 [afloContactJobTitle] Char(30) NULL,
 [afloPhone1Country] Char(3) DEFAULT 1 NULL,
 [afloPhone1] Char(14) NULL,
 [afloPhone1Ext] Char(4) NULL,
 [afloPhone2Country] Char(3) DEFAULT 1 NULL,
 [afloPhone2] Char(14) NULL,
 [afloPhone2Ext] Char(4) NULL,
 [afloFax1Country] Char(3) DEFAULT 1 NULL,
 [afloFax1] Char(13) NULL,
 [afloFax2Country] Char(3) DEFAULT 1 NULL,
 [afloFax2] Char(13) NULL,
 [afloAddress1] Char(40) NULL,
 [afloAddress2] Char(40) NULL,
 [afloCity] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [afloStateId] Char(30) NULL,
 [afloState] Char(30) NULL,
 [afcnCountry_FK] Bigint NULL,
 [afloCountryId] Char(30) NULL,
 [afloCountry] Char(30) NULL,
 [afloPostalCode] Char(10) NULL,
 [affaFacility_FK] Bigint NULL,
 [affaFacilityId] Char(5) NULL,
 [afplPlant_FK] Bigint NULL,
 [affaPlantId] Char(4) NULL,
 [afloGateId] Char(15) NULL,
 [afloKeyNo] Char(10) NULL,
 [afloDock] Bit NULL,
 [afloForkLift] Bit NULL,
 [afbkEmergencyContact_FK] Bigint NULL,
 [afloEmergencyContactId] Char(15) NULL,
 [afloEmergencyPhoneCountry] Char(3) DEFAULT 1 NULL,
 [afloEmergencyPhone] Char(14) NULL,
 [afloEmergencyPhoneExt] Char(4) NULL,
 [afloAccess] Text NULL,
 [afloSafety] Text NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DAF_LOCATION

ALTER TABLE [DAF_LOCATION] ADD CONSTRAINT [PK_DAF_LOCATION] PRIMARY KEY ([aflo_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_MASTERSTATUS

CREATE TABLE [DAF_MASTERSTATUS]
(
 [afms_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afmsDimensionId_NK] Char(30) NOT NULL,
 [afmsStatusId_NK] Char(15) NOT NULL,
 [afmsDesc] Char(60) NULL,
 [afmsStdFlag] Bit NULL,
 [xxxxStdStatus_FK] Bigint NULL,
 [afmsStdStatusId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_MASTERSTATUS

ALTER TABLE [DAF_MASTERSTATUS] ADD CONSTRAINT [PK_DAF_MASTERSTATUS] PRIMARY KEY ([afms_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_SOURCE

CREATE TABLE [DAF_SOURCE]
(
 [afso_PK] Bigint NOT NULL,
 [afsoSource] Char(30) NULL,
 [afsoSourceId_NK] Smallint NOT NULL,
 [afsoApplication] Char(30) NULL,
 [afmsStatus_FK] Bigint NULL,
 [afsoStatusId] Char(15) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [afsoCurrencyId] Char(3) NULL,
 [afsoTimezone] Char(3) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_SOURCE

ALTER TABLE [DAF_SOURCE] ADD CONSTRAINT [PK_DAF_SOURCE] PRIMARY KEY ([afso_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_TAX

CREATE TABLE [DAF_TAX]
(
 [aftx_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [aftxTaxJurId_NK] Char(5) NOT NULL,
 [aftxTaxJurisdiction] Char(30) NULL,
 [afmsTaxStatus_FK] Int NULL,
 [aftxTaxStatusId] Char(15) NULL,
 [aftxTaxPercent] Decimal(8,4) NULL,
 [aftxMunicipality] Char(30) NULL,
 [aftxCounty] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [aftxStateId] Char(30) NULL,
 [aftxState] Char(30) NULL,
 [afcnCountry_FK] Bigint NULL,
 [aftxCountryId] Char(30) NULL,
 [aftxCountry] Char(30) NULL,
 [aftxMaterial] Bit NULL,
 [aftxEquipment] Bit NULL,
 [aftxEquipmentLabor] Bit NULL,
 [aftxFreight] Bit NULL,
 [aftxLabor] Bit NULL,
 [aftxWeb] Bit NULL,
 [aftxFood] Bit NULL,
 [glacGLSalesTaxAccount_FK] Bigint NULL,
 [aftxGLSalesTaxAccount] Char(20) NULL,
 [glacGLUseTaxAccount_FK] Bigint NULL,
 [aftxGLUseTaxAccount] Char(20) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate_NK] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_TAX

ALTER TABLE [DAF_TAX] ADD CONSTRAINT [PK_DAF_TAX] PRIMARY KEY ([aftx_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_TAXTYPE

CREATE TABLE [DAF_TAXTYPE]
(
 [aftt_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afttTaxTypeId_NK] Char(5) NOT NULL,
 [afttTaxType] Char(30) NULL,
 [afttDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_TAXTYPE

ALTER TABLE [DAF_TAXTYPE] ADD CONSTRAINT [PK_DAF_TAXTYPE] PRIMARY KEY ([aftt_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_TINTYPE

CREATE TABLE [DAF_TINTYPE]
(
 [aftn_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [aftnTinTypeId_NK] Char(15) NOT NULL,
 [aftnTinType] Char(30) NULL,
 [aftnDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_TINTYPE

ALTER TABLE [DAF_TINTYPE] ADD CONSTRAINT [PK_DAF_TINTYPE] PRIMARY KEY ([aftn_PK])
 ON [PRIMARY]
go

-- Table dbo.DAP_INVOICE

CREATE TABLE [DAP_INVOICE]
(
 [apih_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoSupplierId_FK] Bigint NOT NULL,
 [apihSupplierId_NK] Char(10) NOT NULL,
 [apihInvoiceId_NK] Char(20) NOT NULL,
 [apihInvoiceDesc] Char(120) NULL,
 [afmsInvoiceStatus_FK] Bigint NULL,
 [apihInvoiceStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [apihActionCodeId] Char(20) NULL,
 [apihReceivingDoc] Bit NULL,
 [afbkContactId_FK] Bigint NULL,
 [apihContactId] Char(15) NULL,
 [apihContact] Char(50) NULL,
 [apihEmail] Char(50) NULL,
 [afihPhoneCountry] Char(3) DEFAULT 1 NULL,
 [apihPhone] Char(14) NULL,
 [apihPhoneExt] Char(4) NULL,
 [afihFaxCountry] Char(3) DEFAULT 1 NULL,
 [apihFax] Char(13) NULL,
 [apihAddress1] Char(40) NULL,
 [apihAddress2] Char(40) NULL,
 [apihCity] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [apihStateId] Char(30) NULL,
 [apihState] Char(30) NULL,
 [afcnCountry_FK] Bigint NULL,
 [apihCountryId] Char(30) NULL,
 [apihCountry] Char(30) NULL,
 [apihPostalCode] Char(10) NULL,
 [afloDeliverySite_FK] Bigint NULL,
 [apihDeliverySiteId] Char(15) NULL,
 [afctCostType_FK] Bigint NULL,
 [apihCostTypeId] Char(2) NULL,
 [apihFreightOrder] Bit NULL,
 [orcnContract_FK] Bigint NULL,
 [orcnContractId] Char(10) NULL,
 [orctContractType_FK] Bigint NULL,
 [apihContractTypeId] Char(2) NULL,
 [appdAgeing] Smallint NULL,
 [afcuCurrency_FK] Bigint NULL,
 [apihCurrencyId] Char(3) NULL,
 [apihNetAmount_AG] Decimal(18,2) NULL,
 [apihSalesTaxAmt_AG] Decimal(18,2) NULL,
 [apihUseTaxAmt_AG] Decimal(18,2) NULL,
 [apihFreightAmt_AG] Decimal(18,2) NULL,
 [apihDiscountAmt_AG] Decimal(18,2) NULL,
 [apihRetentionPercent] Decimal(8,4) NULL,
 [apihRetentionAmt_AG] Decimal(18,2) NULL,
 [apihGrossAmt_AG] Decimal(18,2) NULL,
 [apihTaxCredit] Bit NULL,
 [apihRetensionPayment] Bit NULL,
 [apihPaidFlag] Bit NULL,
 [apihRetentionFlag] Bit NULL,
 [apihVoidFlag] Bit NULL,
 [afcaInvoiceDate_FK] Bigint NULL,
 [apihInvoiceDate] Datetime NULL,
 [afcaInvoiceReceivedDate_FK] Bigint NULL,
 [apihInvoiceReceivedDate] Smalldatetime NULL,
 [afcaPostDate_FK] Bigint NULL,
 [apihPostDate] Smalldatetime NULL,
 [afcaDueDate_FK] Bigint NULL,
 [apihDueDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [apihVoidDate] Datetime NULL,
 [apihPaidAmt_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAP_INVOICE

ALTER TABLE [DAP_INVOICE] ADD CONSTRAINT [PK_DAP_INVOICE] PRIMARY KEY ([apih_PK])
 ON [PRIMARY]
go

-- Table dbo.DAP_PAYMENT

CREATE TABLE [DAP_PAYMENT]
(
 [appd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [afcoSupplier_FK] Bigint NOT NULL,
 [appdSupplierId_NK] Char(10) NOT NULL,
 [apihInvoice_FK] Bigint NOT NULL,
 [appdInvoiceId_NK] Char(20) NOT NULL,
 [apidInvoiceLine_FK] Bigint NOT NULL,
 [appdInvoiceLineId_NK] Smallint NOT NULL,
 [afbnBank_FK] Bigint NOT NULL,
 [appdBankRouting_NK] Decimal(9,0) NOT NULL,
 [appdBankAccount_NK] Decimal(12,0) NOT NULL,
 [appdCheckNo_NK] Bigint NOT NULL,
 [apcrCheckRegister_FK] Bigint NULL,
 [apcrCheckRegister] Bigint NULL,
 [afcuCurrency_FK] Bigint NULL,
 [appdCurrencyId] Char(3) NULL,
 [appdCheckAmt] Decimal(13,2) NULL,
 [appdPaymentMethod] Char(2) NULL,
 [appdPaymentBatch] Char(1) NULL,
 [appdPaymentStateId] Char(1) NULL,
 [orcnContractId_FK] Bigint NULL,
 [apidContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [apidOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [apidOrderLineId] Smallint NULL,
 [orrrRelease_FK] Bigint NULL,
 [apidReleaseId] Char(20) NULL,
 [orreReleaseLine_FK] Bigint NULL,
 [apidReleaseLineId] Smallint NULL,
 [apidReleaseDesc] Char(120) NULL,
 [appdRetentionPayment] Bit NULL,
 [afcaDueDate_FK] Bigint NULL,
 [appdDueDate] Datetime NULL,
 [afcaCheckDate_FK] Bigint NULL,
 [appdCheckDate] Datetime NULL,
 [appdAgeing] Smallint NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [appdVoidDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAP_PAYMENT

ALTER TABLE [DAP_PAYMENT] ADD CONSTRAINT [PK_DAP_PAYMENT] PRIMARY KEY ([appd_PK],[apidInvoiceLine_FK],[apihInvoice_FK])
 ON [PRIMARY]
go

-- Table dbo.DAS_EQUIPMENT

CREATE TABLE [DAS_EQUIPMENT]
(
 [aseq_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [aseqEquipmentId_NK] Char(25) NOT NULL,
 [aseqEquipment] Char(30) NULL,
 [aseqEquipmentDesc] Char(60) NULL,
 [aseqAlternateTagId] Char(25) NULL,
 [aseqCatalogtId] Char(20) NULL,
 [afloLocation_FK] Bigint NULL,
 [aseqLocationId] Char(15) NULL,
 [afplPlant_FK] Bigint NULL,
 [aseqPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NOT NULL,
 [aseqFacilityId] Char(5) NULL,
 [xxxxSingleLine_FK] Bigint NULL,
 [aseqSingleLineId] Char(20) NULL,
 [xxxxSchematic_FK] Bigint NULL,
 [aseqSchematicId] Char(20) NULL,
 [xxxxPid_FK] Bigint NULL,
 [aseqPidId] Char(20) NULL,
 [aseqNote] Text NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DAS_EQUIPMENT

ALTER TABLE [DAS_EQUIPMENT] ADD CONSTRAINT [PK_DAS_EQUIPMENT] PRIMARY KEY ([aseq_PK])
 ON [PRIMARY]
go

-- Table dbo.DFA_FACTPROCESS

CREATE TABLE [DFA_FACTPROCESS]
(
 [fapc_PK] Bigint NOT NULL,
 [fapcFactProcessId_NK] Char(5) NOT NULL,
 [fatyFactType] Char(30) NOT NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DFA_FACTPROCESS

ALTER TABLE [DFA_FACTPROCESS] ADD CONSTRAINT [PK_DFA_FACTPROCESS] PRIMARY KEY ([fapc_PK])
 ON [PRIMARY]
go

-- Table dbo.DFA_PCDWFACT

CREATE TABLE [DFA_PCDWFACT]
(
 [fact_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcaFactDate_FK] Bigint NULL,
 [factFactDate] Datetime NULL,
 [fatyFactType_FK] Bigint NULL,
 [factFactTypeId] Char(2) NULL,
 [fatyFactProcess_FK] Bigint NULL,
 [factFactProcessId] Char(5) NULL,
 [pjafAfe_FK] Bigint NULL,
 [factAfeId] Char(20) NULL,
 [glccCostCenter_FK] Bigint NULL,
 [factCostCenterId] Char(5) NULL,
 [pjprProject_FK] Bigint NULL,
 [factProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [factTaskId] Char(20) NULL,
 [afclCostClass_FK] Bigint NULL,
 [factCostClassId] Char(15) NULL,
 [afccCostCode_FK] Bigint NULL,
 [factCostCodeId] Char(10) NULL,
 [pjstStdCostCode_FK] Bigint NULL,
 [factStdCostCodeId] Char(10) NULL,
 [afccaAltCostCode_FK] Bigint NULL,
 [factAltCostCodeId] Char(10) NULL,
 [afctCostType_FK] Bigint NULL,
 [factCostTypeId] Char(2) NULL,
 [afloLocation_FK] Bigint NULL,
 [factLocationId] Char(15) NULL,
 [affaPlant_FK] Bigint NULL,
 [factPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NULL,
 [factFacilityId] Char(5) NULL,
 [aseqEquipment_FK] Bigint NULL,
 [factEquipmentId] Char(25) NULL,
 [pjptProjectType_FK] Bigint NULL,
 [factProjectTypeId] Char(5) NULL,
 [pjttTaskType_FK] Bigint NULL,
 [factTaskTypeId] Char(15) NULL,
 [pjwcWorkClass_FK] Bigint NULL,
 [factWorkClassId] Char(10) NULL,
 [scshSchedule_FK] Bigint NULL,
 [factScheduleId] Char(10) NULL,
 [scshActivityId_FK] Bigint NULL,
 [factActivityId] Char(15) NULL,
 [afgrProjectGroup_FK] Bigint NULL,
 [factProjectGroupId] Char(5) NULL,
 [afgrAcctGroup_FK] Bigint NULL,
 [factAcctGroupId] Char(5) NULL,
 [afcoCustomer_FK] Bigint NULL,
 [factCustomerId] Char(10) NULL,
 [afcoOperator_FK] Bigint NULL,
 [factOperatorId] Char(10) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [factSupplierId] Char(10) NULL,
 [orcnContract_FK] Bigint NULL,
 [factContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [factOrderId] Char(15) NULL,
 [orodOrder Line_FK] Bigint NULL,
 [factOrderLineId] Smallint NULL,
 [factRevision] Smallint NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [factFieldChangeOrderId] Char(15) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [factWorkOrderId] Char(15) NULL,
 [orrrRelease_FK] Bigint NULL,
 [factReleaseId] Char(20) NULL,
 [orrhRequsition_FK] Bigint NULL,
 [factRequsitionId] Char(15) NULL,
 [orrdRequsitionLine_FK] Bigint NULL,
 [factRequsitionLineId] Smallint NULL,
 [orrcReceiving_FK] Bigint NULL,
 [factTrackingId] Char(15) NULL,
 [oredReceivingLine_FK] Bigint NULL,
 [factReceivingLineId] Smallint NULL,
 [aftxTaxJur_FK] Bigint NULL,
 [factTaxJurId] Char(5) NULL,
 [afttTaxType_FK] Bigint NULL,
 [factTaxTypeId] Char(5) NULL,
 [factTaxAmt] Decimal(13,2) NULL,
 [factUseTaxAmt] Decimal(13,2) NULL,
 [factSalesTaxAmt] Decimal(13,2) NULL,
 [factOtherTaxAmt] Decimal(13,2) NULL,
 [gljvJournal_FK] Bigint NULL,
 [factJournalId] Char(15) NULL,
 [glacDebitAcct_FK] Bigint NULL,
 [factDebitAccount] Char(20) NULL,
 [glacCreditAcct_FK] Bigint NULL,
 [factCreditAccount] Char(20) NULL,
 [factOrderNetAmt_AG] Decimal(18,2) NULL,
 [factOrderDiscountAmt] Decimal(13,2) NULL,
 [factOrderFreightAmt] Decimal(13,2) NULL,
 [factRetensionAmt] Decimal(13,2) NULL,
 [factMarkupAmt] Decimal(13,2) NULL,
 [factOrderTaxAmt] Decimal(13,2) NULL,
 [factOrderGrossHours_AG] Decimal(18,2) NULL,
 [factOrderGrossAmount_AG] Decimal(18,2) NULL,
 [lathTimeCard_FK] Bigint NULL,
 [factTimeCardId] Char(15) NULL,
 [latdTimeCardLine_FK] Bigint NULL,
 [factTimeCardLineId] Smallint NULL,
 [lashTimecardShift_FK] Bigint NULL,
 [factTimeCardShift] Char(1) NULL,
 [lalaLabor_FK] Bigint NULL,
 [factLaborId] Char(10) NULL,
 [factRegularHours] Decimal(12,3) NULL,
 [factOvertimeHours] Decimal(12,3) NULL,
 [factDoubleTimeHours] Decimal(12,3) NULL,
 [factRegularAmt] Decimal(13,2) NULL,
 [factOvertimeAmt] Decimal(13,2) NULL,
 [factDoubletimeAmt] Decimal(13,2) NULL,
 [factBurdenAmt] Decimal(13,2) NULL,
 [factAgencyAmt] Decimal(13,2) NULL,
 [factReimburseAmt] Decimal(13,2) NULL,
 [factLaborAmt] Decimal(13,2) NULL,
 [factEquipmentAmt] Decimal(13,2) NULL,
 [factSubContractorAmt] Decimal(13,2) NULL,
 [factMaterialAmt] Decimal(13,2) NULL,
 [factPerDiemAmt] Decimal(13,2) NULL,
 [factLaborHours] Decimal(12,3) NULL,
 [factSubcontractorHours] Decimal(12,3) NULL,
 [factEquipmentHours] Decimal(12,3) NULL,
 [laehExpenses_FK] Bigint NULL,
 [factExpensesId] Char(15) NULL,
 [laedExpenseLine_FK] Bigint NULL,
 [factExpenseLineId] Smallint NULL,
 [apcrApCheckRegister_FK] Bigint NULL,
 [factApCheckRegisterId] Char(15) NULL,
 [afbnApBank_FK] Bigint NULL,
 [factApBankRouting] Decimal(9,0) NULL,
 [factApBankAccount] Decimal(12,0) NULL,
 [factApCheckNo] Int NULL,
 [afcuApCurrency_FK] Bigint NULL,
 [factApCurrencyId] Char(3) NULL,
 [appdApPayment_FK] Bigint NULL,
 [apihApInvoice_FK] Bigint NULL,
 [factApInvoiceId] Char(20) NULL,
 [apidApInvoiceLine_FK] Bigint NULL,
 [factApInvoiceLineId] Smallint NULL,
 [factApInvoiceNet] Decimal(13,2) NULL,
 [factApInvoiceFreightAmt] Decimal(13,2) NULL,
 [factApInvoiceRetainedAmt] Decimal(13,2) NULL,
 [factApInvoiceTaxAmt] Decimal(13,2) NULL,
 [factApDiscountAmt] Decimal(13,2) NULL,
 [afbnArBank_FK] Bigint NULL,
 [factArBankRouting] Decimal(9,0) NULL,
 [factArBankAccount] Decimal(12,0) NULL,
 [factArCheckNo] Int NULL,
 [afcuArCurrency_FK] Bigint NULL,
 [factArCurrencyId] Char(3) NULL,
 [arpdArPayment_FK] Bigint NULL,
 [factArPaymentId] Bigint NULL,
 [apihArInvoice_FK] Bigint NULL,
 [factArInvoiceId] Char(20) NULL,
 [appdArInvoiceLine_FK] Bigint NULL,
 [factArInvoiceLineId] Smallint NULL,
 [factArInvoiceFreightAmt] Decimal(13,2) NULL,
 [factArInvoiceRetainedAmt] Decimal(13,2) NULL,
 [factArInvoiceTaxAmt] Decimal(13,2) NULL,
 [factArDiscountAmt] Decimal(13,2) NULL,
 [factUnapprovedUncom_AG] Decimal(18,2) NULL,
 [factApprovedUncom_AG] Decimal(18,2) NULL,
 [factCommittedNetAmt_AG] Decimal(18,2) NULL,
 [factCommittedGrossAmt_AG] Decimal(18,2) NULL,
 [factCommittedHours] Decimal(12,3) NULL,
 [factCommittedQty] Decimal(12,2) NULL,
 [factGrossReceivedQty] Decimal(12,2) NULL,
 [factLaborIncurredAmt_AG] Decimal(18,2) NULL,
 [factLaborIncurredHours_AG] Decimal(18,3) NULL,
 [factIncurredAmt_AG] Decimal(18,2) NULL,
 [factIncurredHours_AG] Decimal(18,3) NULL,
 [factIncurredQty_AG] Decimal(18,3) NULL,
 [factApInvoiceAmt_AG] Decimal(18,2) NULL,
 [factApInvoiceHours_AG] Decimal(18,3) NULL,
 [factApInvoiceQty_AG] Decimal(18,3) NULL,
 [factApPaidAmt_AG] Decimal(18,2) NULL,
 [factApPaidHours_AG] Decimal(18,3) NULL,
 [factApPaidQty_AG] Decimal(18,3) NULL,
 [factArBilledAmt_AG] Decimal(18,2) NULL,
 [factArBilledHours_AG] Decimal(18,3) NULL,
 [factArBilledQty_AG] Decimal(18,3) NULL,
 [factArInvoiceNet] Decimal(13,2) NULL,
 [factArInvoiceGross_AG] Decimal(18,2) NULL,
 [factArPaidAmt_AG] Decimal(18,2) NULL,
 [factArPaidQty_AG] Decimal(18,3) NULL,
 [pjbfBudget_FK] Bigint NULL,
 [pjbtBudgetType_FK] Bigint NULL,
 [factBudgetTypeId] Char(15) NULL,
 [factEstimateAmt] Decimal(13,2) NULL,
 [factBudgetAmt] Decimal(13,2) NULL,
 [factChangeOrderAmt] Decimal(13,2) NULL,
 [factRevisedBudgetAmt] Decimal(13,2) NULL,
 [factForecastAmt] Decimal(13,2) NULL,
 [factManagerForecastAmt] Decimal(13,2) NULL,
 [factEstimateHours] Decimal(12,3) NULL,
 [factBudgetHours] Decimal(12,3) NULL,
 [factChangeOrderHours] Decimal(12,3) NULL,
 [factRevisedBudgetHours] Decimal(12,3) NULL,
 [factForecastHours] Decimal(12,3) NULL,
 [factManagerForecastHours] Decimal(12,3) NULL,
 [factEstimateQty] Decimal(12,2) NULL,
 [factBudgetQty] Decimal(12,2) NULL,
 [factChangeOrderQty] Decimal(12,2) NULL,
 [factRevisedBudgetQty] Decimal(12,2) NULL,
 [factForecastQty] Decimal(12,2) NULL,
 [factManagerForecastQty] Decimal(12,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DFA_PCDWFACT

ALTER TABLE [DFA_PCDWFACT] ADD CONSTRAINT [PK_DFA_PCDWFACT] PRIMARY KEY ([fact_PK])
 ON [PRIMARY]
go

-- Table dbo.DFA_PCDWTEXT

CREATE TABLE [DFA_PCDWTEXT]
(
 [fatx_FK] Bigint NOT NULL,
 [fact_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [faclFactType_FK] Bigint NULL,
 [faclFactTypeId] Char(2) NULL,
 [factLineDesc] Char(120) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DFA_PCDWTEXT

ALTER TABLE [DFA_PCDWTEXT] ADD CONSTRAINT [PK_DFA_PCDWTEXT] PRIMARY KEY ([fatx_FK],[fact_PK])
 ON [PRIMARY]
go

-- Table dbo.DGL_COSTCENTER

CREATE TABLE [DGL_COSTCENTER]
(
 [glcc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [glccCostCenterId_NK] Char(5) NOT NULL,
 [glccCostCenter] Char(30) NULL,
 [glccCostCenterDesc] Char(60) NULL,
 [xxxxDivision_FK] Bigint NULL,
 [glccDivisionId] Char(5) NULL,
 [xxxxDepartment_FK] Bigint NULL,
 [glccDepartmentId] Char(5) NULL,
 [afgrGroup_FK] Bigint NULL,
 [glccGroupId] Char(5) NULL,
 [xxxxCostElement_FK] Bigint NULL,
 [glccCostElementId] Char(20) NULL,
 [glccStdFlag] Bit NULL,
 [xxxxStdCostCenter_FK] Bigint NULL,
 [glccStdCostCenterId] Char(5) NULL,
 [glccCostCenterHours_AG] Decimal(18,3) NULL,
 [glccCostCenterAmt_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DGL_COSTCENTER

ALTER TABLE [DGL_COSTCENTER] ADD CONSTRAINT [PK_DGL_COSTCENTER] PRIMARY KEY ([glcc_PK])
 ON [PRIMARY]
go

-- Table dbo.DGL_GLCODE

CREATE TABLE [DGL_GLCODE]
(
 [glac_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [glacGlAccount_NK] Char(20) NOT NULL,
 [glacAccount] Char(30) NULL,
 [glacAcctDesc] Char(60) NULL,
 [glacStdFlag] Bit NULL,
 [xxxxStdAcct_FK] Bigint NULL,
 [glacStdAcct] Char(30) NULL,
 [glacPaidAmt_AG] Decimal(18,2) NULL,
 [glacPaidHours_AG] Decimal(18,3) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DGL_GLCODE

ALTER TABLE [DGL_GLCODE] ADD CONSTRAINT [PK_DGL_GLCODE] PRIMARY KEY ([glac_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_CRAFT

CREATE TABLE [DLA_CRAFT]
(
 [lacr_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [lacrCraftId_NK] Char(5) NOT NULL,
 [lacrCraft] Char(30) NULL,
 [lacrDesc] Char(60) NULL,
 [lacrStdFlag] Bit NULL,
 [xxxxStdCraft_FK] Bigint NULL,
 [lacrStdCraft] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_CRAFT

ALTER TABLE [DLA_CRAFT] ADD CONSTRAINT [PK_DLA_CRAFT] PRIMARY KEY ([lacr_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_EEOC

CREATE TABLE [DLA_EEOC]
(
 [laec_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcnCountry_FK] Bigint NOT NULL,
 [laecCountryId_NK] Char(30) NOT NULL,
 [laecEeocId_NK] Char(15) NOT NULL,
 [laecEeoc] Char(30) NULL,
 [laecDesc] Char(60) NULL,
 [laecStdFlag] Bit NULL,
 [xxxxStdlEeocCode_FK] Bigint NULL,
 [laecStdEeoc] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_EEOC

ALTER TABLE [DLA_EEOC] ADD CONSTRAINT [PK_DLA_EEOC] PRIMARY KEY ([laec_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_EMPLOYEETYPE

CREATE TABLE [DLA_EMPLOYEETYPE]
(
 [laet_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [laetEmployeeTypeId_NK] Char(15) NOT NULL,
 [laetEmployeeType] Char(30) NULL,
 [laetDesc] Char(60) NULL,
 [laetStdFlag] Bit NULL,
 [xxxxStdEmployeeTypeId_FK] Bigint NULL,
 [laetStdEmployeeType] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_EMPLOYEETYPE

ALTER TABLE [DLA_EMPLOYEETYPE] ADD CONSTRAINT [PK_DLA_EMPLOYEETYPE] PRIMARY KEY ([laet_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_EXPENSETYPE

CREATE TABLE [DLA_EXPENSETYPE]
(
 [laet_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [laetExpenseTypeId_NK] Char(15) NOT NULL,
 [laetDesc] Char(60) NULL,
 [laetStdFlag] Bit NULL,
 [xxxxStdExpenseTypeId_FK] Bigint NULL,
 [laetStdExpenseType] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_EXPENSETYPE

ALTER TABLE [DLA_EXPENSETYPE] ADD CONSTRAINT [PK_DLA_EXPENSETYPE] PRIMARY KEY ([laet_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_SHIFT

CREATE TABLE [DLA_SHIFT]
(
 [lash_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [lashShiftId_NK] Char(1) NOT NULL,
 [lashShift] Char(30) NULL,
 [lashFrom] Decimal(12,3) NULL,
 [lashTo] Decimal(12,3) NULL,
 [lashDuration] Decimal(12,3) NULL,
 [lashDesc] Char(60) NULL,
 [lashStdFlag] Bit NULL,
 [xxxxStdShift_FK] Bigint NULL,
 [lashStdShiftId] Char(1) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_SHIFT

ALTER TABLE [DLA_SHIFT] ADD CONSTRAINT [PK_DLA_SHIFT] PRIMARY KEY ([lash_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_SUMMARYTYPE

CREATE TABLE [DLA_SUMMARYTYPE]
(
 [last_PK] Bigint NOT NULL,
 [lastSummaryId_NK] Char(10) NOT NULL,
 [lastDesc] Char(60) NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_SUMMARYTYPE

ALTER TABLE [DLA_SUMMARYTYPE] ADD CONSTRAINT [PK_DLA_SUMMARYTYPE] PRIMARY KEY ([last_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_TIMECARDTYPE

CREATE TABLE [DLA_TIMECARDTYPE]
(
 [latt_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [lattTimecardTypeId_NK] Char(20) NOT NULL,
 [lattTimecardType] Char(30) NULL,
 [lattDesc] Char(60) NULL,
 [lattStdFlag] Bit NULL,
 [lattStdTimecardType_FK] Bigint NULL,
 [lattStdTimecardTypeId] Char(20) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DLA_TIMECARDTYPE

ALTER TABLE [DLA_TIMECARDTYPE] ADD CONSTRAINT [PK_DLA_TIMECARDTYPE] PRIMARY KEY ([latt_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_CONTRACT

CREATE TABLE [DOR_CONTRACT]
(
 [orcn_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NOT NULL,
 [latdCompanyId_NK] Char(10) NOT NULL,
 [orcnContractId_NK] Char(10) NOT NULL,
 [orcnContractor_FK] Bigint NULL,
 [orcnContractorId] Char(10) NOT NULL,
 [orcnContract] Char(30) NULL,
 [afcaContractDate_FK] Bigint NULL,
 [orcnContractDate] Datetime NULL,
 [orwoContractTerms] Text NULL,
 [orctContractType_FK] Bigint NULL,
 [orcnContractTypeId] Char(2) NULL,
 [orcnNetContractValue_AG] Decimal(18,2) NULL,
 [lacfCraftFeeSchedule_FK] Bigint NULL,
 [orcnCraftFeeScheduleId] Char(10) NULL,
 [orcnMarkupBasis] Char(60) NULL,
 [orcnMarkupPercent] Decimal(8,4) NULL,
 [orcnMarkupCommitted_AG] Decimal(18,2) NULL,
 [orcnMarkupIncurred_AG] Decimal(18,2) NULL,
 [orcnMarkupPaid] Decimal(18,2) NULL,
 [orcnFieldChangeOrderCount_AG] Smallint NULL,
 [orcnFieldChangeOrderAmt_AG] Decimal(18,2) NULL,
 [orcnReleaseCount_AG] Smallint NULL,
 [orcnReleaseAmt_AG] Decimal(18,2) NULL,
 [orcnGrossContractValue_AG] Decimal(18,2) NULL,
 [orcnCurrentContractValue_AG] Decimal(18,2) NULL,
 [orcnIncurred_AG] Decimal(18,2) NULL,
 [orcnPaid_AG] Decimal(18,2) NULL,
 [orcnOrderCount_AG] Smallint NULL,
 [orcnOpenOrderCount_AG] Smallint NULL,
 [orcnOrderLineOpenCount_AG] Smallint NULL,
 [orcnInvoiceLinePaidCount_AG] Smallint NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DOR_CONTRACT

ALTER TABLE [DOR_CONTRACT] ADD CONSTRAINT [PK_DOR_CONTRACT] PRIMARY KEY ([orcn_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_CONTRACTTYPE

CREATE TABLE [DOR_CONTRACTTYPE]
(
 [orct_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orctContractTypeId_NK] Char(2) NOT NULL,
 [orctContractType] Char(60) NULL,
 [orctDesc] Char(60) NULL,
 [orctStdFlag] Bit NULL,
 [orctStdContractType_FK] Bigint NULL,
 [orctStdContractTypeId] Char(2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DOR_CONTRACTTYPE

ALTER TABLE [DOR_CONTRACTTYPE] ADD CONSTRAINT [PK_DOR_CONTRACTTYPE] PRIMARY KEY ([orct_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_KIT

CREATE TABLE [DOR_KIT]
(
 [orkh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orkhKitId_NK] Char(15) NOT NULL,
 [orkhKit] Char(30) NULL,
 [orkhKitDesc] Char(60) NULL,
 [orkhInstruction] Text NULL,
 [afmsKitStatus_FK] Bigint NULL,
 [orkhKitStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [orkhActionCodeId] Char(20) NULL,
 [pjcpCampaign_FK] Bigint NULL,
 [orkhCampaignId] Char(20) NULL,
 [pjprProject_FK] Bigint NULL,
 [orkhProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [orkhTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [orkhCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [orkhWbsId] Char(20) NULL,
 [afloKitLocation_FK] Bigint NULL,
 [orkhKitLocationId] Char(15) NULL,
 [afloKitPickUp_FK] Bigint NULL,
 [orkhKitPickUpId] Char(15) NULL,
 [afloKitDestination_FK] Bigint NULL,
 [orkhDestinationId] Char(15) NULL,
 [orkhDestination] Char(60) NULL,
 [afgrGroup_FK] Bigint NULL,
 [orkhGroupId] Char(5) NULL,
 [afbkNotify_FK] Bigint NULL,
 [orkhNotifyId] Char(10) NULL,
 [afbkCheckedBy_FK] Bigint NULL,
 [orkhCheckedById] Char(10) NULL,
 [afbkReceiver_FK] Bigint NULL,
 [orkhReceiverId] Char(10) NULL,
 [orkhReceiver] Char(50) NULL,
 [orkhPalletCount] Tinyint NULL,
 [afumUom_FK] Bigint NULL,
 [orkhPalletWeightUom] Char(5) NULL,
 [orkhPalletWeightTotal] Decimal(10,2) NULL,
 [orkhPalletWeightMax] Decimal(10,2) NULL,
 [orkhPalletWeightMin] Decimal(10,2) NULL,
 [orkhTransport] Char(1) NULL,
 [afcaLateFinish_FK] Bigint NULL,
 [orkhLateFinish] Datetime NULL,
 [afcaFinishDate_FK] Bigint NULL,
 [orkhFinishDate] Datetime NULL,
 [afcaDeliveryDate_FK] Bigint NULL,
 [orkhDeliveryDate] Datetime NULL,
 [orkhHazardNote] Text NULL,
 [xxxxHazardClass_FK] Bigint NULL,
 [orkhHazardClassId] Char(5) NULL,
 [orkhHazardPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orkhHazardPhone] Char(14) NULL,
 [orkhHazardPhoneExt] Char(4) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DOR_KIT

ALTER TABLE [DOR_KIT] ADD CONSTRAINT [PK_DOR_KIT] PRIMARY KEY ([orkh_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_KITDETAIL

CREATE TABLE [DOR_KITDETAIL]
(
 [orkd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orkhKit_FK] Bigint NOT NULL,
 [orkdKitId_NK] Char(15) NOT NULL,
 [orkdKitLineId_NK] Smallint NOT NULL,
 [orkdOrderLineDesc] Char(120) NULL,
 [orkdFulfillmentNote] Char(60) NULL,
 [afmsKitDetailStatus_FK] Bigint NULL,
 [orkdKitDetailStatusStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [orkdActionCodeId] Char(20) NULL,
 [pjcpCampaign_FK] Bigint NULL,
 [orkhCampaignId] Char(20) NULL,
 [pjprProject_FK] Bigint NULL,
 [orkhProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [orkhTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [orkhCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [orkhWbsId] Char(20) NULL,
 [orohOrder_FK] Bigint NULL,
 [orkdOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [orkdOrderLineId] Smallint NULL,
 [xxxxPallet_FK] Bigint NULL,
 [orkdPalletId] Char(1) NULL,
 [orkdConsumable] Bit NULL,
 [orkdExactQty] Bit NULL,
 [orkdOrderedQty] Decimal(12,2) NULL,
 [orkdRequiredQty] Decimal(12,2) NULL,
 [orkdKittedQty] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [orkdUom] Char(5) NULL,
 [xxxxMsds_FK] Bigint NULL,
 [orkdMsdsId] Char(10) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DOR_KITDETAIL

ALTER TABLE [DOR_KITDETAIL] ADD CONSTRAINT [PK_DAF_KITDETAIL] PRIMARY KEY ([orkd_PK],[orkhKit_FK])
 ON [PRIMARY]
go

-- Table dbo.DOR_ORDER

CREATE TABLE [DOR_ORDER]
(
 [oroh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orohOrderId_NK] Char(15) NOT NULL,
 [orohOrderDesc] Char(60) NULL,
 [orohTermsAndConditions] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [orohRevision] Smallint NULL,
 [orohRelease] Bit NULL,
 [afmsOrderStatus_FK] Bigint NULL,
 [orohOrderStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [orohActionCodeId] Char(20) NULL,
 [orohBillable] Bit NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [orohWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [orcnContractId] Char(10) NULL,
 [orohPosted] Bit NULL,
 [xxxxProposal_FK] Bigint NULL,
 [orohProposalId] Char(20) NULL,
 [orrhRequisition_FK] Bigint NULL,
 [orohRequisitionId] Char(15) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orohSupplierId] Char(10) NULL,
 [orctContractType_FK] Bigint NULL,
 [orohContractTypeId] Char(2) NULL,
 [orocOrderClass_FK] Bigint NULL,
 [orohOrderClassId] Char(2) NULL,
 [orohProgressPay] Bit NULL,
 [afgrGroup_FK] Bigint NULL,
 [orohGroupId] Char(5) NULL,
 [lalaRequisitioner_FK] Bigint NULL,
 [orohRequisitionerId] Char(10) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [afbkNotifyOnReceiptId] Char(15) NULL,
 [orohNotifyOnReceipt] Char(50) NULL,
 [lalaBuyer_FK] Bigint NULL,
 [orohBuyerId] Char(10) NULL,
 [afbkGivenTo_FK] Bigint NULL,
 [orohGivenToId] Char(15) NULL,
 [orohGivenTo] Char(50) NULL,
 [lalaApprovedBy_FK] Bigint NULL,
 [orohApprovedById] Char(10) NULL,
 [afloJobSite_FK] Bigint NULL,
 [orohJobSiteId] Char(15) NULL,
 [orohJobSite] Char(60) NULL,
 [xxxxFob_FK] Bigint NULL,
 [orohFobId] Char(20) NULL,
 [orohDockDesc] Char(60) NULL,
 [orscShippingCode_FK] Bigint NULL,
 [orohShippingCodeId] Char(10) NULL,
 [orohShippingDesc] Char(60) NULL,
 [afcoBroker_FK] Bigint NULL,
 [orohBrokerId] Char(15) NULL,
 [orohBroker] Char(50) NULL,
 [orohCustomsWaitTime] Tinyint NULL,
 [afbkShipTo_FK] Bigint NULL,
 [orohShipToId] Char(15) NULL,
 [orohShipToEmail] Char(50) NULL,
 [orohShipToPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orohShipToPhone] Char(14) NULL,
 [orohShipToPhoneExt] Char(4) NULL,
 [orohShipToAddress1] Char(40) NULL,
 [orohShipToAddress2] Char(40) NULL,
 [orohShipToCity] Char(30) NULL,
 [afstShipToState_FK] Bigint NULL,
 [orohShipToStateId] Char(30) NULL,
 [orohShipToState] Char(30) NULL,
 [afcnShipToCountry_FK] Bigint NULL,
 [orohShipToCountryId] Char(30) NULL,
 [orohShipToCountry] Char(30) NULL,
 [orohShipToPostalCode] Char(10) NULL,
 [afbkBillTo_FK] Bigint NULL,
 [orohBillToId] Char(15) NULL,
 [orohBillToEmail] Char(50) NULL,
 [orohBillToPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orohBillToPhone] Char(14) NULL,
 [orohBillToPhoneExt] Char(4) NULL,
 [orohBillToAddress1] Char(40) NULL,
 [orohBillToAddress2] Char(40) NULL,
 [orohBillToCity] Char(30) NULL,
 [afstBillToState_FK] Bigint NULL,
 [orohBillToStateId] Char(30) NULL,
 [orohBillToState] Char(30) NULL,
 [afcnBillToCountry_FK] Bigint NULL,
 [orohBillToCountryId] Char(30) NULL,
 [orohBillToCountry] Char(30) NULL,
 [orohBillToPostalCode] Char(10) NULL,
 [afcaRequisitionApprovalDate_FK] Bigint NULL,
 [orohRequisitionApprovalDate] Datetime NULL,
 [afcaEnteredDate_FK] Bigint NULL,
 [orohEnteredDate] Datetime NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [orohApprovedDate] Datetime NULL,
 [afcaOrderDate_FK] Bigint NULL,
 [orohOrderDate] Datetime NULL,
 [afcaEarlyReceiptDate_FK] Bigint NULL,
 [orohEarlyReceiptDate] Datetime NULL,
 [afcaRequiredDate_FK] Bigint NULL,
 [orohRequiredDate] Datetime NULL,
 [afcaPromisedShipDate_FK] Bigint NULL,
 [orohPromisedShipDate] Datetime NULL,
 [afcaShippingEta_FK] Bigint NULL,
 [orohShippingEta] Datetime NULL,
 [afcaShippedDate_FK] Bigint NULL,
 [orohShippedDate] Datetime NULL,
 [afcaFirstReceivedDate_FK] Bigint NULL,
 [orohFirstReceivedDate] Datetime NULL,
 [afcaLastReceivedDate_FK] Bigint NULL,
 [orohLastReceivedDate] Datetime NULL,
 [afcaCompletedDate_FK] Bigint NULL,
 [orohCompletedDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [orohVoidDate] Datetime NULL,
 [orohMarkupPercent] Decimal(8,4) NULL,
 [orohMarkupBasis] Char(60) NULL,
 [orohRetensionPercent] Decimal(8,4) NULL,
 [orohRetensionInterestPercent] Decimal(8,4) NULL,
 [orohFieldChangeOrderCount_AG] Smallint NULL,
 [orohOrderLineCount_AG] Decimal(18,2) NULL,
 [orohOpenLineCount_AG] Smallint NULL,
 [orohOrderNetAmt_AG] Smallint NULL,
 [orohTaxAmt_AG] Decimal(18,2) NULL,
 [orohFreightAmt_AG] Decimal(18,2) NULL,
 [orohRetensionAmt_AG] Decimal(18,2) NULL,
 [orohMarkupAmt_AG] Decimal(18,2) NULL,
 [orohOrderGrossAmt_AG] Decimal(18,2) NULL,
 [orohOrderOriginalAmt_AG] Decimal(18,2) NULL,
 [orohInvoiceNetAmt_AG] Decimal(18,2) NULL,
 [orohInvoiceTaxAmt_AG] Decimal(18,2) NULL,
 [orohInvoiceFreightAmt_AG] Decimal(18,2) NULL,
 [orohInvoiceRetentionAmt_AG] Decimal(18,2) NULL,
 [orohInvoiceGrossAmt_AG] Decimal(18,2) NULL,
 [orohIncurredAmt_AG] Decimal(18,2) NULL,
 [orohTotalPaidAmt_AG] Decimal(18,2) NULL,
 [orohToDatePaymentAmt_AG] Decimal(18,2) NULL,
 [orohCurrentPaymentAmt_AG] Decimal(18,2) NULL,
 [orohIncurredTimeSheet_AG] Decimal(18,2) NULL,
 [orohInvoiceCount_AG] Smallint NULL,
 [orohInvoiceAmt_AG] Decimal(18,2) NULL,
 [orohOutstandingCommitment_AG] Decimal(18,2) NULL,
 [orohCommittedCost_AG] Decimal(18,2) NULL,
 [orohOrderBalance_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DOR_ORDER

ALTER TABLE [DOR_ORDER] ADD CONSTRAINT [PK_DOR_ORDER] PRIMARY KEY ([oroh_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_ORDERCLASS

CREATE TABLE [DOR_ORDERCLASS]
(
 [oroc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orocOrderClassId_NK] Char(2) NOT NULL,
 [orocOrderClass] Char(60) NULL,
 [orocDesc] Char(60) NULL,
 [orocStdFlag] Bit NULL,
 [xxxxStdOrderClass_FK] Bigint NULL,
 [orocStdOrderClass] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DOR_ORDERCLASS

ALTER TABLE [DOR_ORDERCLASS] ADD CONSTRAINT [PK_DOR_ORDERCLASS] PRIMARY KEY ([oroc_PK])
 ON [PRIMARY]
go

-- Table dbo.DOR_SHIPPINGCODE

CREATE TABLE [DOR_SHIPPINGCODE]
(
 [orsc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orscShippingCodeId_NK] Char(10) NOT NULL,
 [orscShippingCodeId] Char(10) NULL,
 [orscDesc] Char(60) NULL,
 [orscStdFlag] Bit NULL,
 [orscStdShippingCode_FK] Bigint NULL,
 [orscStdFShippingCodeId] Char(10) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DOR_SHIPPINGCODE

ALTER TABLE [DOR_SHIPPINGCODE] ADD CONSTRAINT [PK_DOR_SHIPPINGCODE] PRIMARY KEY ([orsc_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_CAMPAIGN

CREATE TABLE [DPJ_CAMPAIGN]
(
 [pjcp_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjcpCampaignId_NK] Char(20) NOT NULL,
 [pjcpCampaignScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_CAMPAIGN

ALTER TABLE [DPJ_CAMPAIGN] ADD CONSTRAINT [PK_DPJ_CAMPAIGN] PRIMARY KEY ([pjcp_PK])
 ON [PRIMARY]
go

-- Table dbo.DPL_ESTIMATE

CREATE TABLE [DPL_ESTIMATE]
(
 [pleh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [plehEstimateId_NK] Char(30) NOT NULL,
 [plehEstimate] Char(30) NULL,
 [plehEstimateScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [plehRevision] Smallint NULL,
 [afmsEstimateStatus_FK] Bigint NULL,
 [plehEstimateStatusId] Char(15) NULL,
 [plehBudget] Bit NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [plehApprovedDate] Datetime NULL,
 [plehCost_AG] Decimal(18,2) NULL,
 [plehHours_AG] Decimal(18,3) NULL,
 [plehQuantity_AG] Decimal(18,3) NULL,
 [afumQuantityMetric_FK] Bigint NULL,
 [plehQuantityMetric] Char(10) NULL,
 [plehDuration_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DPL_ESTIMATE

ALTER TABLE [DPL_ESTIMATE] ADD CONSTRAINT [PK_DPL_ESTIMATE] PRIMARY KEY ([pleh_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_PROJECT

CREATE TABLE [DPJ_PROJECT]
(
 [pjpr_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjprProjectParent_FK] Bigint NOT NULL,
 [pjprProjectId_NK] Char(20) NOT NULL,
 [pjprProject] Char(30) NOT NULL,
 [pjprProjectScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [pjppProjectPhase_FK] Bigint NULL,
 [pjprProjectPhaseId] Char(15) NULL,
 [pjcpCampaign_FK] Bigint NULL,
 [pjprCampaignId] Char(20) NULL,
 [afmsProjectStatus_FK] Bigint NULL,
 [pjprProjectStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [pjprActionCodeId] Char(20) NULL,
 [pjtaCurrencyConflict] Bit NULL,
 [pjprQtyMetricConflict] Bit NULL,
 [pjprTaxCredit] Bit NULL,
 [pjprRandD] Bit DEFAULT 0 NULL,
 [xxxxDivision_FK] Bigint NULL,
 [afbkDivisionId] Char(5) NULL,
 [xxxxDepartment_FK] Bigint NULL,
 [afbkDepartmentId] Char(5) NULL,
 [xxxxOffice_FK] Bigint NULL,
 [afbkOfficeId] Char(10) NULL,
 [afcoCustomer_FK] Bigint NULL,
 [pjprCustomerId] Char(10) NULL,
 [pjprCustomerProjectCode] Char(30) NULL,
 [pjprCustomerProjectTitle] Char(30) NULL,
 [orcnContract_FK] Bigint NULL,
 [pjprContractId] Char(10) NULL,
 [afcaContractDate_FK] Bigint NULL,
 [pjprContractDate] Datetime NULL,
 [afgdProjectGrade_FK] Bigint NULL,
 [pjprProjectGradeId] Char(2) NULL,
 [xxxxProjectGradeDoc_FK] Bigint NULL,
 [pjprProjectGradeDocId] Char(30) NULL,
 [afptProjectType_FK] Bigint NULL,
 [pjprProjectTypeId] Char(5) NULL,
 [pjwcProjectClass_FK] Bigint NULL,
 [pjprProjectClassId] Char(10) NULL,
 [afcoOperator_FK] Bigint NULL,
 [pjprOperatorId] Char(10) NULL,
 [afbkApprover_FK] Bigint NULL,
 [pjprApproverId] Char(15) NULL,
 [afbkArchitect_FK] Bigint NULL,
 [pjprArchitectId] Char(15) NULL,
 [pjprArchitectProjectId] Char(30) NULL,
 [afbkCustomerContact_FK] Bigint NULL,
 [pjprCustomerContactId] Char(15) NULL,
 [afgrAccountingGroup_FK] Bigint NULL,
 [pjprAccountingGroupId] Char(5) NULL,
 [afgrProjectGroup_FK] Bigint NULL,
 [pjprProjectGroupId] Char(5) NULL,
 [afbkProgramManager_FK] Bigint NULL,
 [pjprProgramManagerId] Char(15) NULL,
 [afbkProjectManager_FK] Bigint NULL,
 [pjprProjectManagerId] Char(15) NULL,
 [afbkProjectEngineer_FK] Bigint NULL,
 [pjprProjectEngineerId] Char(15) NULL,
 [afbkCCShift1_FK] Bigint NULL,
 [pjprCCShift1Id] Char(15) NULL,
 [afbkCCShift2_FK] Bigint NULL,
 [pjprCCShift2Id] Char(15) NULL,
 [afbkCCShift3_FK] Bigint NULL,
 [pjprCCShift3Id] Char(15) NULL,
 [afbkCCShift4_FK] Bigint NULL,
 [pjprCCShift4Id] Char(15) NULL,
 [afbkSafetyOfficer_FK] Bigint NULL,
 [pjprSafetyOfficer Id] Char(15) NULL,
 [afbkCostEngineer_FK] Bigint NULL,
 [pjprCostEngineerId] Char(15) NULL,
 [afbkPlanner_FK] Bigint NULL,
 [pjprPlannerId] Char(15) NULL,
 [afbkEstimator_FK] Bigint NULL,
 [pjprEstimatorId] Char(15) NULL,
 [afcaContractStart_FK] Bigint NULL,
 [pjprContractStart] Datetime NULL,
 [afcaContractEnd_FK] Bigint NULL,
 [pjprContractEnd] Datetime NULL,
 [afcaPlannedStart_FK] Bigint NULL,
 [pjprPlannedStart_AG] Smalldatetime NULL,
 [afcaPlannedEnd_FK] Bigint NULL,
 [pjprPlannedEnd_AG] Smalldatetime NULL,
 [afcaActualStart_FK] Bigint NULL,
 [pjprActualStart_AG] Smalldatetime NULL,
 [afcaActualEnd_FK] Bigint NULL,
 [pjprActualEnd_AG] Smalldatetime NULL,
 [afcaConstructionStart_FK] Bigint NULL,
 [pjprConstructionStart_AG] Smalldatetime NULL,
 [afcaConstructionEnd_FK] Bigint NULL,
 [pjprConstructionEnd_AG] Smalldatetime NULL,
 [pjprPertEs] Smallint NULL,
 [pjprPertEf] Smallint NULL,
 [pjprPertLs] Smallint NULL,
 [pjprPertLf] Smallint NULL,
 [pjprPertDuration_AG] Smallint NULL,
 [pjprPertFloat_AG] Smallint NULL,
 [afloSite_FK] Bigint NULL,
 [pjprSiteId] Char(15) NULL,
 [afloProperty_FK] Bigint NULL,
 [pjprPropertyId] Char(15) NULL,
 [afloReceivingSite_FK] Bigint NULL,
 [pjprReceivingSiteId] Char(15) NULL,
 [affaPlant_FK] Bigint NULL,
 [pjprPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NULL,
 [pjprFacilityId] Char(5) NULL,
 [afctCostType_FK] Bigint NULL,
 [pjprCostTypeId] Char(2) NULL,
 [pjafAfe_FK] Bigint NULL,
 [pjprAfeId] Char(20) NULL,
 [plehEstimate_FK] Bigint NULL,
 [pjprEstimateId] Char(30) NULL,
 [afloEngDocLocation_FK] Bigint NULL,
 [pjprEngDocLocationId] Char(15) NULL,
 [afloAcctDocLocation_FK] Bigint NULL,
 [pjprAcctDocLocationId] Char(15) NULL,
 [afloOrderDocLocation_FK] Bigint NULL,
 [pjprOrderDocLocationId] Char(15) NULL,
 [pjprRoiAssessment] Bit NULL,
 [afcaRoiAssessmentDate_FK] Bigint NULL,
 [pjprRoiAssessmentDate] Datetime NULL,
 [xxxxRoiDocument_FK] Bigint NULL,
 [pjprRoiDocId] Char(30) NULL,
 [afcaRoiStartDate_FK] Bigint NULL,
 [pjprRoiStartDate] Datetime NULL,
 [pjprRoiDuration] Tinyint NULL,
 [pjprExpectedRoi] Decimal(18,2) NULL,
 [pjprActualRoi] Decimal(18,2) NULL,
 [afcaExpectedBreakEvenDate_FK] Bigint NULL,
 [pjprExpectedBreakEvenDate] Datetime NULL,
 [afcaActualBreakEvenDate_FK] Bigint NULL,
 [pjprActualBreakEvenDate] Datetime NULL,
 [afcuCurrency_FK] Bigint NULL,
 [pjprCurrencyCodeId] Char(3) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [pjprQtyMetricId] Char(10) NULL,
 [pjprRequisitionAmt_AG] Decimal(18,2) NULL,
 [pjprRequisitionHours_AG] Decimal(18,3) NULL,
 [pjprRequisitionQty_AG] Decimal(18,3) NULL,
 [pjprUnCommittedAmt_AG] Decimal(18,2) NULL,
 [pjprUnCommittedHours_AG] Decimal(18,3) NULL,
 [pjprUnCommittedQty_AG] Decimal(18,3) NULL,
 [pjprCommittedAmt_AG] Decimal(18,2) NULL,
 [pjprCommittedHours_AG] Decimal(18,3) NULL,
 [pjprCommittedQty_AG] Decimal(18,3) NULL,
 [pjprIncurredAmt_AG] Decimal(18,2) NULL,
 [pjprIncurredHours_AG] Decimal(18,3) NULL,
 [pjprIncurredQty_AG] Decimal(18,3) NULL,
 [pjprPaidAmt_AG] Decimal(18,2) NULL,
 [pjprPaidHours_AG] Decimal(18,3) NULL,
 [pjprPaidQty_AG] Decimal(18,3) NULL,
 [pjprBudgetAllocationMethod] Char(60) NULL,
 [pjprTaskEstimateAmt_AG] Decimal(13,2) NULL,
 [pjprTaskEstimateHours_AG] Decimal(12,3) NULL,
 [pjprTaskEstimateQty_AG] Decimal(12,2) NULL,
 [pjprOriginalBudgetAmt_AG] Decimal(13,2) NULL,
 [pjprOriginalBudgetHours_AG] Decimal(12,3) NULL,
 [pjprOriginalBudgetQty_AG] Decimal(12,2) NULL,
 [pjprRevisedBudget_AG] Decimal(13,2) NULL,
 [pjprRevisedBudgetHours_AG] Decimal(12,3) NULL,
 [pjprRevisedBudgetQty_AG] Decimal(12,2) NULL,
 [pjprForecast_AG] Decimal(13,2) NULL,
 [pjprForecastHours_AG] Decimal(12,3) NULL,
 [pjprForecastQty_AG] Decimal(12,2) NULL,
 [pjprIncurredCostPercent_AG] Decimal(8,4) NULL,
 [pjprIncurredHoursPercent_AG] Decimal(8,4) NULL,
 [pjprIncurredUnitsPercent_AG] Decimal(8,4) NULL,
 [pjprEarnedValueTo Date_AG] Decimal(18,2) NULL,
 [pjprDirectRatio_AG] Decimal(8,4) NULL,
 [pjprContingencyConsumedPercent_AG] Decimal(8,4) NULL,
 [pjprContractorDelay_AG] Decimal(13,2) NULL,
 [pjprOwnerDelay_AG] Decimal(13,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_PROJECT

ALTER TABLE [DPJ_PROJECT] ADD CONSTRAINT [PK_DPJ_PROJECT] PRIMARY KEY ([pjpr_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_PROJECTBRIDGE

CREATE TABLE [DPJ_PROJECTBRIDGE]
(
 [pjprProject_PK] Bigint NOT NULL,
 [pjpb_FK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjprProjectParent_PK] Bigint NOT NULL,
 [pjpbProjectId] Char(20) NOT NULL,
 [pjpbProject] Char(30) NOT NULL,
 [pjpbLevel] Char(1) NULL,
 [pjpbTopFlag] Bit NULL,
 [pjpbEndFlag] Bit NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_PROJECTBRIDGE

ALTER TABLE [DPJ_PROJECTBRIDGE] ADD CONSTRAINT [PK_DPJ_PROJECTBRIDGE] PRIMARY KEY ([pjprProjectParent_PK],[pjprProject_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_PROJECTTYPE

CREATE TABLE [DPJ_PROJECTTYPE]
(
 [pjpt_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjptProjectTypeId_NK] Char(5) NOT NULL,
 [pjptProjectType] Char(30) NULL,
 [pjptDesc] Char(60) NULL,
 [pjptStdFlag] Bit NULL,
 [xxxxStdProjectType_FK] Bigint NULL,
 [pjptStdProjectTypeId] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_PROJECTTYPE

ALTER TABLE [DPJ_PROJECTTYPE] ADD CONSTRAINT [PK_DPJ_PROJECTTYPE] PRIMARY KEY ([pjpt_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_TASKTYPE

CREATE TABLE [DPJ_TASKTYPE]
(
 [pjtt_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjttTaskTypeId_NK] Char(15) NOT NULL,
 [pjttTaskType] Char(30) NULL,
 [pjttDesc] Char(60) NULL,
 [pjttStdFlag] Bit NULL,
 [xxxxStdTaskType_FK] Bigint NULL,
 [pjttStdTaskTypeId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_TASKTYPE

ALTER TABLE [DPJ_TASKTYPE] ADD CONSTRAINT [PK_DPJ_TASKTYPE] PRIMARY KEY ([pjtt_PK])
 ON [PRIMARY]
go

-- Table guest.DPJ_WORKCLASS

CREATE TABLE [DPJ_WORKCLASS]
(
 [pjwc_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjwcWorkClassId_NK] Char(10) NOT NULL,
 [pjwcWorkClass] Char(30) NULL,
 [pjwcDesc] Char(60) NULL,
 [pjwcStdFlag] Bit NULL,
 [xxxxStdWorkClassId_FK] Bigint NULL,
 [pjwcStdWorkClass] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL
)
ON [PRIMARY]
go

-- Add keys for table guest.DPJ_WORKCLASS

ALTER TABLE [DPJ_WORKCLASS] ADD CONSTRAINT [PK_DPJ_WORKCLASS] PRIMARY KEY ([pjwc_PK])
 ON [PRIMARY]
go

-- Table dbo.DSC_SCHEDULE

CREATE TABLE [DSC_SCHEDULE]
(
 [scsh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [scshScheduleId_NK] Char(10) NOT NULL,
 [scshSchedule] Char(30) NULL,
 [scshDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DSC_SCHEDULE

ALTER TABLE [DSC_SCHEDULE] ADD CONSTRAINT [PK_DSC_SCHEDULE] PRIMARY KEY ([scsh_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_PLANT

CREATE TABLE [DAF_PLANT]
(
 [afpl_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [afplPlantId_NK] Char(4) NULL,
 [afplPlant] Char(50) NULL,
 [afloLocation_FK] Bigint NOT NULL,
 [afplLocationId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAF_PLANT

ALTER TABLE [DAF_PLANT] ADD CONSTRAINT [PK_DAF_PLANT] PRIMARY KEY ([afpl_PK])
go

-- Table dbo.DAF_TIN

CREATE TABLE [DAF_TIN]
(
 [afti_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [aftiTinId_NK] Char(15) NOT NULL,
 [aftiTinAlternateId] Char(15) NULL,
 [xxxxCountry_FK] Bigint NULL,
 [aftiCountryId] Char(30) NULL,
 [xxxxState_FK] Char(1) NULL,
 [aftiStateId] Char(30) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAF_TIN

ALTER TABLE [DAF_TIN] ADD CONSTRAINT [PK_DAF_TIN] PRIMARY KEY ([afti_PK])
go

-- Table dbo.DAF_COSTCODE_STD

CREATE TABLE [DAF_COSTCODE_STD]
(
 [afccs_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afccsStdCostCodeId_NK] Char(10) NOT NULL,
 [afccsStdCostCode] Char(30) NULL,
 [afccsDesc] Char(60) NULL,
 [afccsEstimateCostCode] Bit NULL,
 [afccsProjectCostCode] Bit NULL,
 [afccsTimeCostCode] Bit NULL,
 [afccsScheduleCostCode] Bit NULL,
 [afccsBillingCostCode] Bit NULL,
 [afumUom_FK] Bigint NULL,
 [afccsUom] Char(5) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [afccsQtyMetricId] Char(5) NULL,
 [afccsDirectIndirect] Char(1) NULL,
 [afccsActiveTaskCount_AG] Smallint NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAF_COSTCODE_STD

ALTER TABLE [DAF_COSTCODE_STD] ADD CONSTRAINT [PK_DAF_COSTCODE_STD] PRIMARY KEY ([afccs_PK])
go

-- Table dbo.DAP_CHECKREGISTER

CREATE TABLE [DAP_CHECKREGISTER]
(
 [apcr_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [apcrBankRouting_NK] Decimal(9,0) NOT NULL,
 [apcrBankAccount_NK] Decimal(12,0) NOT NULL,
 [apcrCheckNo_NK] Int NOT NULL,
 [afbnBank_FK] Bigint NULL,
 [apcrBank] Char(50) NULL,
 [apcrCheckAmt] Decimal(13,2) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [apcrCurrencyId] Char(3) NULL,
 [afcoPayToName_FK] Bigint NULL,
 [apcrPayToName] Char(50) NULL,
 [afcaCheckDate_FK] Bigint NULL,
 [apcrCheckDate] Datetime NULL,
 [apcrReturned] Bit NULL,
 [afcaStatementDate_FK] Bigint NULL,
 [apcrStatementDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [apcrVoidDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [xxxxCheckRegister_FK] Bigint NULL,
 [apcrCheckRegisterId] Char(15) NULL
)
go

-- Add keys for table dbo.DAP_CHECKREGISTER

ALTER TABLE [DAP_CHECKREGISTER] ADD CONSTRAINT [PK_DAP_CHECKREGISTER] PRIMARY KEY ([apcr_PK])
go

-- Table dbo.DAP_INVOICEDETAIL

CREATE TABLE [DAP_INVOICEDETAIL]
(
 [apid_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoSupplier_FK] Bigint NOT NULL,
 [apidSupplierId_NK] Char(10) NOT NULL,
 [apidSupplier] Char(50) NULL,
 [apihInvoice_FK] Bigint NOT NULL,
 [apidInvoiceId_NK] Char(20) NOT NULL,
 [apidInvoiceDesc] Char(120) NULL,
 [apidInvoiceLineId_NK] Smallint NOT NULL,
 [apidInvoiceLineDesc] Char(120) NULL,
 [orcnContractId_FK] Bigint NULL,
 [apidContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [apidOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [apidOrderLineId] Smallint NULL,
 [apidOrderLineDesc] Char(120) NULL,
 [apidOrderRevision] Smallint NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [apidFieldChangeOrderId] Char(15) NULL,
 [orrrRelease_FK] Bigint NULL,
 [apidReleaseId] Char(20) NULL,
 [orreReleaseLine_FK] Bigint NULL,
 [apidReleaseLineId] Smallint NULL,
 [apidReleaseDesc] Char(120) NULL,
 [afcaOrderDate_FK] Bigint NULL,
 [apidOrderDate] Datetime NULL,
 [afcaReleaseDate_FK] Bigint NULL,
 [apidReleaseDate] Datetime NULL,
 [afcaInvoiceDate_FK] Bigint NULL,
 [apidInvoiceDate] Datetime NULL,
 [afcaInvoiceReceivedDate_FK] Bigint NULL,
 [apidInvoiceReceivedDate] Datetime NULL,
 [afcaInvoiceDueDate_FK] Bigint NULL,
 [apidInvoiceDueDate] Datetime NULL,
 [afcaInvoicePaidDate_FK] Bigint NULL,
 [apidInvoicePaidDate] Datetime NULL,
 [afcaInvoiceVoidDate_FK] Bigint NULL,
 [apidInvoiceVoidDate] Datetime NULL,
 [afcuCurrency_FK] Bigint NULL,
 [apihCurrencyId] Char(3) NULL,
 [orctContractType_FK] Bigint NULL,
 [apidContractTypeId] Char(2) NULL,
 [pjprProjectId_FK] Bigint NULL,
 [apidProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [apidTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [apidCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [apidWbsId] Char(20) NULL,
 [afloDeliverySite_FK] Bigint NULL,
 [apidDeliverySite Id] Char(15) NULL,
 [afctCostType_FK] Bigint NULL,
 [apidCostTypeId] Char(2) NULL,
 [apidFreightOrder] Bit NULL,
 [apidEpcCode] Char(1) NULL,
 [apidRecievedQty] Decimal(12,2) NULL,
 [apidIncurredQty] Decimal(12,2) NULL,
 [apidQty] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [apidUom] Char(5) NULL,
 [apidUnitRate] Decimal(9,3) NULL,
 [apidNetAmt_AG] Decimal(18,2) NULL,
 [aftcTax_FK] Bigint NULL,
 [apidTaxJurId] Char(5) NULL,
 [afttTaxType_FK] Bigint NULL,
 [apidTaxTypeId] Char(5) NULL,
 [apidTaxPercent] Decimal(8,4) NULL,
 [apidTaxAmt] Decimal(13,2) NULL,
 [apidFreightAmt] Decimal(13,2) NULL,
 [apidDiscountAmt] Decimal(13,2) NULL,
 [apidRetentionPercent] Decimal(8,4) NULL,
 [apidRetentionAmt] Decimal(13,2) NULL,
 [apidMarkupAmt] Decimal(13,2) NULL,
 [apidGrossAmt_AG] Decimal(18,2) NULL,
 [apidPaidAmt_AG] Decimal(18,2) NULL,
 [apidTaxCredit] Bit NULL,
 [apidRetentionPayment] Bit NULL,
 [apidPaidFlag] Bit NULL,
 [apidRetentionFlag] Bit NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Bit NULL
)
go

-- Add keys for table dbo.DAP_INVOICEDETAIL

ALTER TABLE [DAP_INVOICEDETAIL] ADD CONSTRAINT [PK_DAP_INVOICEDETAIL] PRIMARY KEY ([apid_PK],[apihInvoice_FK])
go

-- Table dbo.DAR_BILLING

CREATE TABLE [DAR_BILLING]
(
 [arih_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCustomer_FK] Bigint NULL,
 [arihCustomerId_NK] Char(10) NOT NULL,
 [arihInvoiceId_NK] Char(20) NOT NULL,
 [arihInvoiceDesc] Char(120) NULL,
 [orcnContract_FK] Bigint NULL,
 [arihContractId] Char(10) NULL,
 [arihContact] Char(50) NULL,
 [aftcTaxJur_FK] Bigint NULL,
 [arihTaxJurId] Char(5) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [arihCurrencyId] Char(3) NULL,
 [arihEmail] Char(50) NULL,
 [arihPhoneCountry] Char(3) DEFAULT 1 NULL,
 [arihPhone] Char(14) NULL,
 [arihPhoneExt] Char(4) NULL,
 [arihFaxCountry] Char(3) DEFAULT 1 NULL,
 [arihFax] Char(13) NULL,
 [arihAddress1] Char(40) NULL,
 [arihAddress2] Char(40) NULL,
 [arihCity] Char(30) NULL,
 [afstState_FK] Bigint NULL,
 [orohStateId] Char(30) NULL,
 [arihState] Char(30) NULL,
 [afcnShipToCountry_FK] Bigint NULL,
 [orohShipToCountryId] Char(30) NULL,
 [arihCountry] Char(30) NULL,
 [arihPostalCode] Char(10) NULL,
 [arihNetAmt_AG] Decimal(18,2) NULL,
 [arihSalesTaxAmt_AG] Decimal(18,2) NULL,
 [arihFreightAmt_AG] Decimal(18,2) NULL,
 [arihDiscountAmt_AG] Decimal(18,2) NULL,
 [arihRetentionPercent] Decimal(8,4) NULL,
 [arihRetentionAmt_AG] Decimal(18,2) NULL,
 [arihGrossAmt_AG] Decimal(18,2) NULL,
 [arihUseTaxFlag] Bit NULL,
 [arihPaidFlag] Bit NULL,
 [arihRetentionFlag] Bit NULL,
 [arihVoidFlag] Bit NULL,
 [afcaInvoiceDate_FK] Bigint NULL,
 [arihInvoiceDate] Datetime NULL,
 [afcaInvoiceSentDate_FK] Bigint NULL,
 [arihnvoiceSentDate] Datetime NULL,
 [afcaPostDate_FK] Bigint NULL,
 [arihPostDate] Datetime NULL,
 [afcaDueDate_FK] Bigint NULL,
 [arihDueDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [arihVoidDate] Datetime NULL,
 [arihBilledAmt_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAR_BILLING

ALTER TABLE [DAR_BILLING] ADD CONSTRAINT [PK_DAR_BILLING] PRIMARY KEY ([arih_PK])
go

-- Table dbo.DAR_BILLINGDETAIL

CREATE TABLE [DAR_BILLINGDETAIL]
(
 [arid_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCustomer_FK] Bigint NOT NULL,
 [aridCustomerId_NK] Char(10) NOT NULL,
 [arihInvoice_FK] Bigint NOT NULL,
 [aridInvoiceId_NK] Char(20) NOT NULL,
 [aridInvoiceLineId_NK] Smallint NOT NULL,
 [aridInvoiceLineDesc] Char(120) NULL,
 [orcnContract_FK] Bigint NULL,
 [aridContractId] Char(10) NULL,
 [orohOrderId_FK] Bigint NULL,
 [aridOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [aridOrderLineId] Smallint NULL,
 [aridOrderRevision] Smallint NULL,
 [orrrRelease_FK] Bigint NULL,
 [aridReleaseId] Char(20) NULL,
 [afcaReleaseDate_FK] Bigint NULL,
 [aridReleaseDate] Datetime NULL,
 [aridReleaseDesc] Char(60) NULL,
 [pjprProject_FK] Bigint NULL,
 [aridProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [aridTaskId] Char(20) NULL,
 [aridFreightOrderFlag] Bit NULL,
 [aridEpcCode] Char(1) NULL,
 [aridQty] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [aridUom] Char(5) NULL,
 [aridUnitRate] Decimal(9,3) NULL,
 [aridNetAmt_AG] Decimal(18,2) NULL,
 [afttTaxType_FK] Bigint NULL,
 [aridTaxTypeId] Char(5) NULL,
 [aridTaxPercent] Decimal(8,4) NULL,
 [aridSalesTaxAmt] Decimal(13,2) NULL,
 [aridFreightAmt] Decimal(13,2) NULL,
 [aridDiscountAmt] Decimal(13,2) NULL,
 [aridRetentionPercent] Decimal(8,4) NULL,
 [aridRetentionAmt] Decimal(13,2) NULL,
 [aridMarkupAmt] Decimal(13,2) NULL,
 [aridGrossAmt_AG] Decimal(18,2) NULL,
 [aridTaxCreditFlag] Bit NULL,
 [aridRetensionFlag] Bit NULL,
 [aridPaidAmt_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAR_BILLINGDETAIL

ALTER TABLE [DAR_BILLINGDETAIL] ADD CONSTRAINT [PK_DAR_BILLINGDETAIL] PRIMARY KEY ([arid_PK],[arihInvoice_FK])
go

-- Table dbo.DAR_PAYMENT

CREATE TABLE [DAR_PAYMENT]
(
 [arpd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCustomer_FK] Bigint NULL,
 [arpdCustomerId_NK] Char(10) NOT NULL,
 [arihInvoice_FK] Bigint NULL,
 [arpdInvoiceId_NK] Char(20) NOT NULL,
 [afbkCustomerBank] Char(50) NULL,
 [arpdCustomerBankRouting_NK] Decimal(9,0) NOT NULL,
 [arpdCustomerBankAccount_NK] Decimal(12,0) NOT NULL,
 [arpdCustomerCheckNo_NK] Int NOT NULL,
 [afbnDepositBankId_FK] Bigint NULL,
 [arpdDepositBank] Char(50) NULL,
 [arpdDepositBankRouting] Decimal(9,0) NULL,
 [arpdDepositBankAccount] Decimal(12,0) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [arpdCurrencyId] Char(3) NULL,
 [arpdCheckAmt] Decimal(13,2) NULL,
 [arpdPaymentMethod] Char(2) NULL,
 [arpdPaymentBatch] Char(1) NULL,
 [arpdAgeing] Smallint NULL,
 [afcaBillDueDate_FK] Bigint NULL,
 [arpdBillDueDate] Datetime NULL,
 [afcaCheckDate_FK] Bigint NULL,
 [arpdCheckDate] Datetime NULL,
 [afcaReceivedDate_FK] Bigint NULL,
 [arpdReceivedDate] Datetime NULL,
 [afcaCanceledDate_FK] Bigint NULL,
 [arpdCanceledDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAR_PAYMENT

ALTER TABLE [DAR_PAYMENT] ADD CONSTRAINT [PK_DAR_PAYMENT] PRIMARY KEY ([arpd_PK])
go

-- Table dbo.DFA_FACTTYPE

CREATE TABLE [DFA_FACTTYPE]
(
 [faty_PK] Bigint NOT NULL,
 [fatyFactTypeId_NK] Char(2) NOT NULL,
 [fatyFactType] Char(30) NOT NULL
)
go

-- Add keys for table dbo.DFA_FACTTYPE

ALTER TABLE [DFA_FACTTYPE] ADD CONSTRAINT [PK_DFA_FACTTYPE] PRIMARY KEY ([faty_PK])
go

-- Table dbo.DGL_JOURNAL

CREATE TABLE [DGL_JOURNAL]
(
 [gljv_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [xxxxJournal_FK] Bigint NOT NULL,
 [gljvJournalId_NK] Char(15) NOT NULL,
 [afcaJournalDate_FK] Bigint NULL,
 [gljvJournalDate] Datetime NULL,
 [gljvJournalTime] Smalldatetime NULL,
 [gljvTransDesc] Char(60) NULL,
 [gljvQuantity] Decimal(12,2) NULL,
 [afumUom_FK] Decimal(18,2) NULL,
 [gljvUom] Char(5) NULL,
 [gljvAmount] Decimal(13,2) NULL,
 [gljvHours] Decimal(12,3) NULL,
 [glacDebitAcct_FK] Bigint NULL,
 [gljvDebitAccount] Char(20) NULL,
 [glacCreditAcct_FK] Bigint NULL,
 [gljvCreditAccount] Char(20) NULL,
 [pjprProject_FK] Bigint NULL,
 [gljvProjectId] Char(20) NULL,
 [afptProjectType_FK] Bigint NULL,
 [gljvProjectTypeId] Char(5) NULL,
 [afclWorkClass_FK] Bigint NULL,
 [gljvWorkClassId] Char(10) NULL,
 [pjtaTask_FK] Bigint NULL,
 [gljvTaskId] Char(20) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [gljvWbsId] Char(20) NULL,
 [xxxxTaskClass_FK] Bigint NULL,
 [gljvTaskClassId] Char(20) NULL,
 [TaskGroup_FK] Bigint NULL,
 [gljvTaskGroupId] Char(5) NULL,
 [glccCostCenter_FK] Bigint NULL,
 [gljvCostCenterId] Char(5) NULL,
 [afccCostCode_FK] Bigint NULL,
 [gljvCostCodeId] Char(10) NULL,
 [afctCostType_FK] Bigint NULL,
 [gljvCostTypeId] Char(2) NULL,
 [afcoOperator_FK] Bigint NULL,
 [gljvOperatorId] Char(10) NULL,
 [afcoCustomer_FK] Bigint NULL,
 [gljvCustomerId] Char(10) NULL,
 [gljvWorkOrder_FK] Bigint NULL,
 [gljvWorkOrderId] Char(15) NULL,
 [pjafAfe_FK] Bigint NULL,
 [gljvAfeId] Char(20) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DGL_JOURNAL

ALTER TABLE [DGL_JOURNAL] ADD CONSTRAINT [PK_DGL_JOURNAL] PRIMARY KEY ([gljv_PK])
go

-- Table dbo.DLA_EXPENSE

CREATE TABLE [DLA_EXPENSE]
(
 [laeh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NULL,
 [laehCompanyId_NK] Char(10) NOT NULL,
 [laehExpenseId_NK] Char(15) NOT NULL,
 [afcaExpenseReportDate_FK] Bigint NULL,
 [laehReportDate] Datetime NULL,
 [afmsExpenseStatus_FK] Bigint NULL,
 [laehExpenseStatusId] Char(15) NULL,
 [lalaEmployee_FK] Bigint NULL,
 [laehEmployeeId] Char(10) NULL,
 [laehEmployee] Char(50) NULL,
 [adbkPerson_FK] Bigint NULL,
 [laehPersonId] Char(15) NULL,
 [laehBillableFlag] Bit NULL,
 [afcoBillToCustomer_FK] Bigint NULL,
 [laehBillToCustomerId] Char(10) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [laehCurrencyId] Char(3) NULL,
 [afcaPeriod_FK] Bigint NULL,
 [laehPeriodEnd] Datetime NULL,
 [pjprProject_FK] Bigint NULL,
 [laehProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [laehTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [laehCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [laehWbsId] Char(20) NULL,
 [orohOrder_FK] Bigint NULL,
 [laehOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [laehOrderLineId] Smallint NULL,
 [laehReleaseId] Char(20) NULL,
 [afloSite_FK] Bigint NULL,
 [laehSiteId] Char(15) NULL,
 [laehExpenseCity] Char(30) NULL,
 [laedExpenseState] Char(30) NULL,
 [laedExpenseCountry] Char(30) NULL,
 [laehDesc] Char(60) NULL,
 [laehExpenseAmt_AG] Decimal(18,2) NULL,
 [laehMileage_AG] Int NULL,
 [laehReimburseAmt_AG] Decimal(18,2) NULL,
 [laehExpenseAccount] Char(20) NULL,
 [laehReimbursementAccount] Char(20) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DLA_EXPENSE

ALTER TABLE [DLA_EXPENSE] ADD CONSTRAINT [PK_DLA_EXPENSE] PRIMARY KEY ([laeh_PK])
go

-- Table dbo.DLA_LABOR

CREATE TABLE [DLA_LABOR]
(
 [lala_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoEmployer_FK] Bigint NOT NULL,
 [lalaEmployerId_NK] Char(10) NOT NULL,
 [lalaEmployee] Char(50) NOT NULL,
 [adbkPerson_FK] Bigint NULL,
 [lalaPersonId] Char(15) NULL,
 [xxxxRole_FK] Bigint NULL,
 [lalaRoleId] Char(10) NULL,
 [aftiTin_FK] Bigint NULL,
 [aftnTinType_FK] Bigint NULL,
 [lalaTinTypeId] Char(15) NULL,
 [laetEmployeeType_FK] Bigint NULL,
 [lalaEmployeeTypeId] Char(15) NULL,
 [afcaBirthDate_FK] Bigint NULL,
 [lalaBirthDate] Datetime NULL,
 [laetEeoc_FK] Bigint NULL,
 [lalaEeocId] Char(15) NULL,
 [lalaSex] Char(1) NULL,
 [afcaStartDate_FK] Bigint NULL,
 [lalaStartDate] Datetime NULL,
 [afcaEndDate_FK] Bigint NULL,
 [lalaEndDate] Datetime NULL,
 [lalaRegularRate] Decimal(9,3) NULL,
 [lalaOvertimeRate] Decimal(9,3) NULL,
 [lalaDoubletimeRate] Decimal(9,3) NULL,
 [afcoAgency_FK] Bigint NULL,
 [lalaAgencyId] Char(10) NULL,
 [lalaRegularTimeAgencyRate] Decimal(9,3) NULL,
 [lalaOverTimeAgencyRate] Decimal(9,3) NULL,
 [lalaDoubleTimeAgencyRate] Decimal(9,3) NULL,
 [lalaEmployerBurdenAmt] Decimal(13,2) NULL,
 [lalaEmployeeBurdenAmt] Decimal(13,2) NULL,
 [lalaAnnualEmployeeSalary] Decimal(13,2) NULL,
 [lalaAnnualEmployeeBurden] Decimal(13,2) NULL,
 [lalaAnnualEmployeeHours] Decimal(12,3) NULL,
 [lalaYtdAmtPaid_AG] Decimal(18,2) NULL,
 [lalaYtdHours_AG] Decimal(18,3) NULL,
 [lalaEmployeeAverageRate_AG] Decimal(9,3) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL,
 [lalaTinId] Char(15) NULL,
 [laec_PK] Bigint NULL
)
go

-- Add keys for table dbo.DLA_LABOR

ALTER TABLE [DLA_LABOR] ADD CONSTRAINT [PK_DLA_LABOR] PRIMARY KEY ([lala_PK])
go

-- Table dbo.DLA_TIMECARDDETAIL

CREATE TABLE [DLA_TIMECARDDETAIL]
(
 [latd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NOT NULL,
 [latdCompanyId_NK] Char(10) NOT NULL,
 [lathTimeCard_FK] Bigint NOT NULL,
 [lathTimeCardId_NK] Char(15) NOT NULL,
 [latdTimeCardLineId_NK] Smallint NOT NULL,
 [latdDesc] Char(60) NULL,
 [lathLineCount_AG] Smallint NULL,
 [lattTimecardType_FK] Bigint NULL,
 [lathTimecardTypeId] Char(20) NULL,
 [afgrGroup_FK] Bigint NULL,
 [lathGroup Id] Char(5) NULL,
 [laalForeman_FK] Bigint NULL,
 [lathForemanId] Char(10) NULL,
 [xxxxCrew_FK] Bigint NULL,
 [lathCrewId] Char(10) NULL,
 [lathCrew] Char(50) NULL,
 [afcaShiftDate_FK] Bigint NULL,
 [lathShiftDate] Smalldatetime NULL,
 [laalLabor_FK] Bigint NULL,
 [lathLaborId] Char(10) NULL,
 [lashShift_FK] Bigint NULL,
 [lathShiftId] Char(1) NULL,
 [lathPeriod] Char(10) NULL,
 [afloLocation_FK] Bigint NULL,
 [latdLocationId] Char(15) NULL,
 [afcaDatePosted_FK] Bigint NULL,
 [lathDatePosted] Datetime NULL,
 [afcaTimeCardDate_FK] Bigint NULL,
 [lathTimeCardDate] Smalldatetime NULL,
 [afcaReceived_FK] Bigint NULL,
 [lathReceived] Smalldatetime NULL,
 [afcaDueDate_FK] Bigint NULL,
 [lathDueDate] Smalldatetime NULL,
 [lathReceiptLag_AG] Decimal(18,2) NULL,
 [lathVoid] Bit NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [lathVoidDate] Datetime NULL,
 [afctCustomer_FK] Bigint NULL,
 [latdCustomerId] Char(10) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [latdWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [latdContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [latdOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [latdOrderLineId] Smallint NULL,
 [orreRelease_FK] Bigint NULL,
 [latdReleaseId] Char(20) NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [latdFieldChangeOrderId] Char(15) NULL,
 [pjprProject_FK] Bigint NULL,
 [latdProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [latdTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [latdCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [pjtaWbsId] Char(20) NULL,
 [lacrCraft_FK] Bigint NULL,
 [latdCraftId] Char(5) NULL,
 [latdContractRate] Decimal(13,2) NULL,
 [latdRegularHours] Decimal(12,3) NULL,
 [latdOvertimeHours] Decimal(12,3) NULL,
 [latdDoubletimeHours] Decimal(12,3) NULL,
 [latdContractorHours_AG] Decimal(18,3) NULL,
 [latdContractorSubsHours] Decimal(12,3) NULL,
 [latdGrossLaborHours_AG] Decimal(18,3) NULL,
 [latdRegularRate] Decimal(9,3) NULL,
 [latdOvertimeRate] Decimal(9,3) NULL,
 [latdDoubletimeRate] Decimal(9,3) NULL,
 [latdNetLaborAmt_AG] Decimal(18,2) NULL,
 [latdExpenseAmt] Decimal(13,2) NULL,
 [latdPerdiemAmt] Decimal(13,2) NULL,
 [latdAgencyAmt] Decimal(13,2) NULL,
 [latdBurdenAmt] Decimal(13,2) NULL,
 [latdGrossLaborAmt_AG] Decimal(18,2) NULL,
 [latdEquipmentAmt] Decimal(13,2) NULL,
 [latdEquipmentHours] Decimal(12,3) NULL,
 [latdEquipmentDesc] Char(60) NULL,
 [latdRentalAmt] Decimal(12,3) NULL,
 [latdRentalHours] Decimal(12,3) NULL,
 [latdRentalDesc] Char(60) NULL,
 [latdMaterialAmt] Decimal(13,2) NULL,
 [latdMaterialDesc] Char(60) NULL,
 [latdSubcontractorAmt] Decimal(13,2) NULL,
 [latdSubcontractorDesc] Char(60) NULL,
 [latdMarkupAmt] Decimal(13,2) NULL,
 [latdMarkupDesc] Char(60) NULL,
 [latdOtherAmt] Decimal(13,2) NULL,
 [latdOtherDesc] Char(60) NULL,
 [latdManpowerUnits] Decimal(12,3) NULL,
 [afumUom_FK] Bigint NULL,
 [latdUom] Char(5) NULL,
 [latdCompletedUnits] Decimal(12,3) NULL,
 [latdCompletedPercent_AG] Decimal(8,4) NULL,
 [latdGrossIncurredCost_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
go

-- Add keys for table dbo.DLA_TIMECARDDETAIL

ALTER TABLE [DLA_TIMECARDDETAIL] ADD CONSTRAINT [PK_DLA_TIMECARDDETAIL] PRIMARY KEY ([latd_PK],[lathTimeCard_FK])
go

-- Table dbo.DOR_FIELDCO

CREATE TABLE [DOR_FIELDCO]
(
 [orco_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [xxxxChangeOrder_FK] Bigint NULL,
 [orcoChangeOrderId_NK] Char(15) NOT NULL,
 [orcoChangeOrderLine_NK] Smallint NOT NULL,
 [orcoChangeOrderDesc] Char(120) NULL,
 [afcoCompany_FK] Bigint NULL,
 [orcoCompanyId] Char(10) NULL,
 [laalIssuedBy_FK] Bigint NULL,
 [orcoIssuedById] Char(10) NULL,
 [afbkGivenTo_FK] Bigint NULL,
 [orcoGivenToId] Char(15) NULL,
 [orcoGivenToName] Char(50) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orcoSupplierId] Char(10) NULL,
 [orcoSupplier] Char(50) NULL,
 [xxxxChangeOrderTypeId_FK] Bigint NULL,
 [orcoChangeOrderTypeId] Char(5) NULL,
 [orcnContract_FK] Bigint NULL,
 [orcoContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [orcoOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [orcoOrderLineId] Smallint NULL,
 [orrrRelease_FK] Bigint NULL,
 [orcoReleaseId] Char(20) NULL,
 [pjprProject_FK] Bigint NULL,
 [orcoProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [orcoTaskId] Char(20) NULL,
 [afctCostCode_FK] Bigint NULL,
 [orcoCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [orcoWbsId] Char(20) NULL,
 [orcoQuantity] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [orcoUom] Char(5) NULL,
 [orcoUnitCost] Decimal(13,2) NULL,
 [orcoContractorHours] Decimal(12,3) NULL,
 [orcoContractorSubsHours] Decimal(12,3) NULL,
 [orcoGrossLaborHours_AG] Decimal(18,3) NULL,
 [orcoNetLaborAmt_AG] Decimal(18,2) NULL,
 [orcoExpenseAmt] Decimal(13,2) NULL,
 [orcoPerdiemAmt] Decimal(13,2) NULL,
 [orcoAgencyAmt] Decimal(13,2) NULL,
 [orcoBurdenAmt] Decimal(13,2) NULL,
 [orcoGrossLaborAmt_AG] Decimal(18,2) NULL,
 [orcoEquipmentAmt] Decimal(13,2) NULL,
 [orcoEquipmentHours] Decimal(12,3) NULL,
 [orcoEquipmentDesc] Char(60) NULL,
 [orcoRentalAmt] Decimal(13,2) NULL,
 [orcoRentalHours] Decimal(12,3) NULL,
 [orcoRentalDesc] Char(60) NULL,
 [orcoMaterialAmt] Decimal(13,2) NULL,
 [orcoMaterialDesc] Char(60) NULL,
 [orcoSubcontractorAmt] Decimal(13,2) NULL,
 [orcoSubcontractorDesc] Char(60) NULL,
 [orcoMarkupAmt] Decimal(13,2) NULL,
 [orcoMarkupDesc] Char(60) NULL,
 [orcoOtherAmt] Decimal(13,2) NULL,
 [orcoOtherDesc] Char(60) NULL,
 [orcoGrossIncurredHours_AG] Decimal(18,3) NULL,
 [orcoGrossIncurredCost_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
go

-- Add keys for table dbo.DOR_FIELDCO

ALTER TABLE [DOR_FIELDCO] ADD CONSTRAINT [PK_DOR_FIELDCO] PRIMARY KEY ([orco_PK])
go

-- Table dbo.DOR_RECEIVING

CREATE TABLE [DOR_RECEIVING]
(
 [oreh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [oredTrackingId] Char(15) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orehSupplierId_NK] Char(10) NOT NULL,
 [orehSupplier] Char(50) NULL,
 [orehManifestId_NK] Char(15) NOT NULL,
 [afcoShipper_FK] Bigint NULL,
 [orehShipperId] Char(10) NULL,
 [orehShipper] Char(50) NULL,
 [orehBillOfLadingId] Char(15) NULL,
 [afcaDateReceived_FK] Bigint NULL,
 [orehDateReceived] Smalldatetime NULL,
 [orehTimeReceived] Smalldatetime NULL,
 [orehDammage] Bit NULL,
 [orehFreightBill] Bit NULL,
 [orehDocsTransmitted] Bit NULL,
 [orehReceivingNotes] Text NULL,
 [orohOrderHeader_FK] Bigint NULL,
 [orehOrderId] Char(15) NULL,
 [afloReceivingLocation_FK] Bigint NULL,
 [orehReceivingLocationId] Char(15) NULL,
 [afcoReceivingLocationOperator_FK] Bigint NULL,
 [orehReceivingLocationOperatorId] Char(10) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [orehNotifyOnReceiptId] Char(15) NULL,
 [orehNotifyOnReceipt] Char(50) NULL,
 [afbkReceiver_FK] Bigint NULL,
 [orehReceiverId] Char(15) NULL,
 [orehShipmentWeight] Decimal(10,2) NULL,
 [orrdUnitWeight] Decimal(10,2) NULL,
 [afumUom_FK] Bigint NULL,
 [orehUom] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DOR_RECEIVING

ALTER TABLE [DOR_RECEIVING] ADD CONSTRAINT [PK_DOR_RECEIVING] PRIMARY KEY ([oreh_PK])
go

-- Table dbo.DOR_RELEASE

CREATE TABLE [DOR_RELEASE]
(
 [orrr_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orrrReleaseId_NK] Char(20) NOT NULL,
 [orohOrder_FK] Bigint NULL,
 [orrrOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [orrrOrderLineId] Smallint NULL,
 [afcaReleaseDate_FK] Bigint NULL,
 [orrrReleaseDate] Datetime NULL,
 [orrrReleaseDesc] Char(60) NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [orrrApprovedDate] Datetime NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orrrSupplierId] Char(10) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [orrrWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [orrrContractId] Char(10) NULL,
 [lalaRequisitioner_FK] Bigint NULL,
 [orrrRequisitionerId] Char(10) NULL,
 [orctContractType_FK] Bigint NULL,
 [orrrContractTypeId] Char(2) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [orrrNotifyOnReceiptId] Char(15) NULL,
 [orrrNotifyOnReceipt] Char(50) NULL,
 [lalaBuyer_FK] Bigint NULL,
 [orrrBuyerId] Char(10) NULL,
 [afbkGivenTo_FK] Bigint NULL,
 [orrrGivenToId] Char(15) NULL,
 [orrrGivenTo] Char(50) NULL,
 [lalaApprovedBy_FK] Bigint NULL,
 [orrrApprovedBy] Char(10) NULL,
 [afbkShipTo_FK] Bigint NULL,
 [orrrShipTo] Char(15) NULL,
 [orrrShipToEmail] Char(50) NULL,
 [orrrShipToPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orrrShipToPhone] Char(14) NULL,
 [orrrShipToPhoneExt] Char(4) NULL,
 [orrrShipToAddress1] Char(40) NULL,
 [orrrShipToAddress2] Char(40) NULL,
 [orrrShipToCity] Char(30) NULL,
 [afstShipToState_FK] Bigint NULL,
 [orrrShipToStateId] Char(30) NULL,
 [orrrShipToState] Char(30) NULL,
 [afcnShipToCountry_FK] Bigint NULL,
 [orrrShipToCountryId] Char(30) NULL,
 [orrrShipToCountry] Char(30) NULL,
 [orrrShipToPostalCode] Char(10) NULL,
 [orrrHours] Decimal(12,3) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [orrrCurrencyId] Char(3) NULL,
 [orrrQuantity] Decimal(12,2) NULL,
 [orrrReleaseLineDesc] Char(120) NULL,
 [afumUom_FK] Bigint NULL,
 [orrrUom] Char(5) NULL,
 [orrrUnitCost] Decimal(13,2) NULL,
 [orrrNetAmt_AG] Decimal(13,2) NULL,
 [orrrTaxable] Bit NULL,
 [aftjTaxJur_FK] Bigint NULL,
 [orrrTaxJurId] Char(5) NULL,
 [afttTaxType_FK] Bigint NULL,
 [orrrTaxTypeId] Char(5) NULL,
 [orrrTaxPercent] Decimal(8,4) NULL,
 [orrrUseTaxAmt] Decimal(13,2) NULL,
 [orrrSalesTaxAmt] Decimal(13,2) NULL,
 [orrrOtherTaxAmt] Decimal(13,2) NULL,
 [orrrTaxAmt] Decimal(13,2) NULL,
 [orrrBrokerageFee] Decimal(13,2) NULL,
 [orrrTariffFee] Decimal(13,2) NULL,
 [orrrFreightAmt] Decimal(13,2) NULL,
 [orrrMarkupPercent] Decimal(8,4) NULL,
 [orrrMarkupBasis] Char(60) NULL,
 [orrrMarkupAmt] Decimal(13,2) NULL,
 [orrrRetensionPaid] Bit NULL,
 [orrrRetensionMonths] Tinyint NULL,
 [orrrRetensionPercent] Decimal(8,4) NULL,
 [orrrRetensionAmt_AG] Decimal(13,2) NULL,
 [orrrRetensionInterestPercent] Decimal(8,4) NULL,
 [orrrRetensionInterestAmt_AG] Decimal(13,2) NULL,
 [orrrGrossAmt_AG] Decimal(13,2) NULL,
 [orrrGrossUnitCost_AG] Decimal(13,2) NULL,
 [afcaEnteredDate_FK] Bigint NULL,
 [orrrEnteredDate] Datetime NULL,
 [afcaOrderDate_FK] Bigint NULL,
 [orrrOrderDate] Datetime NULL,
 [afcaEarlyReceiptDate_FK] Bigint NULL,
 [orrrEarlyReceiptDate] Datetime NULL,
 [afcaRequiredDate_FK] Bigint NULL,
 [orrrRequiredDate] Datetime NULL,
 [afcaPromisedShipDate_FK] Bigint NULL,
 [orrrPromisedShipDate] Datetime NULL,
 [afcaShippingEta_FK] Bigint NULL,
 [orrrShippingEta] Datetime NULL,
 [afcaShippedDate_FK] Bigint NULL,
 [orrrShippedDate] Datetime NULL,
 [afcaFirstReceivedDate_FK] Bigint NULL,
 [orrrFirstReceivedDate] Datetime NULL,
 [afcaLastReceivedDate_FK] Bigint NULL,
 [orrrLastReceivedDate] Datetime NULL,
 [afcaCompletedDate_FK] Bigint NULL,
 [orrrCompletedDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [orreVoidDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DOR_RELEASE

ALTER TABLE [DOR_RELEASE] ADD CONSTRAINT [PK_DOR_RELEASE] PRIMARY KEY ([orrr_PK])
go

-- Table dbo.DOR_REQ

CREATE TABLE [DOR_REQ]
(
 [orrh_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orrhRequisitionId_NK] Char(15) NOT NULL,
 [orrhRequisitionDesc] Char(60) NULL,
 [orrhNotes] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [orrhRevision] Smallint NULL,
 [pjprProject_FK] Bigint NULL,
 [orrhProjectId] Char(20) NULL,
 [orrhProject] Char(30) NULL,
 [orrhPosted] Bit NULL,
 [xxxxProposal_FK] Bigint NULL,
 [orrhProposalId] Char(20) NULL,
 [orctContractType_FK] Bigint NULL,
 [orrhContractTypeId] Char(2) NULL,
 [lalaRequisitioner_FK] Bigint NULL,
 [orrhRequisitionerId] Char(15) NULL,
 [lalaReviewer_FK] Bigint NULL,
 [orohReviewerId] Char(15) NULL,
 [lalaApprover_FK] Bigint NULL,
 [orrhApproverId] Char(15) NULL,
 [afloJobSite_FK] Bigint NULL,
 [orrhJobSiteId] Char(15) NULL,
 [afloShipToCode_FK] Bigint NULL,
 [orrhShipToCodeId] Char(10) NULL,
 [orrhShipToDesc] Char(60) NULL,
 [afcaRequisitionDate_FK] Bigint NULL,
 [orrhRequisitionDate] Datetime NULL,
 [afcaEnteredDate_FK] Bigint NULL,
 [orrhEnteredDate] Datetime NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [orrhApprovedDate] Datetime NULL,
 [afcaRequiredDate_FK] Bigint NULL,
 [orrhRequiredDate] Datetime NULL,
 [orrhReqNetAmt_AG] Decimal(18,2) NULL,
 [orrhTaxAmt_AG] Decimal(18,2) NULL,
 [orrhFreightAmt_AG] Decimal(18,2) NULL,
 [orrhReqGrossAmt_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DOR_REQ

ALTER TABLE [DOR_REQ] ADD CONSTRAINT [PK_DOR_REQ] PRIMARY KEY ([orrh_PK])
go

-- Table dbo.DOR_REQDETAIL

CREATE TABLE [DOR_REQDETAIL]
(
 [orrd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orrhRequisition_FK] Bigint NOT NULL,
 [orrdRequsitionId_NK] Char(15) NOT NULL,
 [orrdRequsitionLineId_CK] Smallint NOT NULL,
 [orrhRequisitionDesc] Char(60) NULL,
 [orrhNotes] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [orrhRevision] Smallint NULL,
 [orrhPosted] Bit NULL,
 [xxxxProposal_FK] Bigint NULL,
 [orrhProposalId] Char(20) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orrdSupplierId] Char(10) NULL,
 [orrdSupplier] Char(50) NULL,
 [lalaRequisitioner_FK] Bigint NULL,
 [orrhRequisitionerId] Char(15) NULL,
 [lalaReviewer_FK] Bigint NULL,
 [orohReviewerId] Char(15) NULL,
 [lalaApprover_FK] Bigint NULL,
 [orrhApproverId] Char(15) NULL,
 [afloJobSite_FK] Bigint NULL,
 [orrhJobSiteId] Char(15) NULL,
 [afloShipToCode_FK] Bigint NULL,
 [orrhShipToCodeId] Char(10) NULL,
 [orrhShipToDesc] Char(60) NULL,
 [affaPlant_FK] Bigint NULL,
 [orrdPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NULL,
 [orrdFacilityId] Char(5) NULL,
 [pjprProjectId_FK] Bigint NULL,
 [orrdProjectId] Char(20) NULL,
 [orrdProject] Char(30) NULL,
 [pjtaTaskId_FK] Bigint NULL,
 [orrdTaskId] Char(20) NULL,
 [pjtaTask] Char(30) NULL,
 [afccCostCode_FK] Bigint NULL,
 [orrdCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [orrdWbsId] Char(20) NULL,
 [afctCostType_FK] Bigint NULL,
 [orrdCostTypeId] Char(2) NULL,
 [orctContractType_FK] Bigint NULL,
 [orrhContractTypeId] Char(2) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [orrdNotifyOnReceiptId] Char(15) NULL,
 [orrdNotifyOnReceipt] Char(50) NULL,
 [afcoManufacturer_FK] Bigint NULL,
 [orrdManufacturerId] Char(10) NULL,
 [orrdManufacturer] Char(50) NULL,
 [orrdManufacturerPartNo] Char(15) NULL,
 [orrdUnitWeight] Decimal(10,2) NULL,
 [afumUnitWeightUom_FK] Bigint NULL,
 [orrdUnitWeightUom] Char(5) NULL,
 [orrdPartNo] Char(15) NULL,
 [orrdRequirementLineDesc] Char(120) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [orrdCurrencyCodeId] Char(3) NULL,
 [orrdQuantity] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [orrdUom] Char(5) NULL,
 [orrdUnitCost] Decimal(13,2) NULL,
 [orrdNetAmt] Decimal(13,2) NULL,
 [aftcTaxJur_FK] Bigint NULL,
 [orrdTaxJurId] Char(5) NULL,
 [afttTaxType_FK] Bigint NULL,
 [orrdTaxTypeId] Char(20) NULL,
 [orrdTaxPercent] Decimal(8,4) NULL,
 [orrdTaxAmt] Decimal(13,2) NULL,
 [orrdFreightAmt] Decimal(13,2) NULL,
 [orrdReqGrossAmt_AG] Decimal(13,2) NULL,
 [afcaRequisitionDate_FK] Bigint NULL,
 [orrhRequisitionDate] Datetime NULL,
 [afcaEnteredDate_FK] Bigint NULL,
 [orrhEnteredDate] Datetime NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [orrhApprovedDate] Datetime NULL,
 [afcaRequiredDate_FK] Bigint NULL,
 [orrhRequiredDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Datetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Datetime NULL,
 [systLoadDate] Datetime NULL
)
go

-- Add keys for table dbo.DOR_REQDETAIL

ALTER TABLE [DOR_REQDETAIL] ADD CONSTRAINT [PK_DOR_REQDETAIL] PRIMARY KEY ([orrd_PK],[orrhRequisition_FK])
go

-- Table dbo.DOR_WORKORDER

CREATE TABLE [DOR_WORKORDER]
(
 [orwo_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orwoWorkOrderId_NK] Char(15) NOT NULL,
 [orwoWorkOrder] Char(30) NULL,
 [orwoWorkOrderDesc] Char(60) NULL,
 [afcaWorkOrderStart_FK] Bigint NULL,
 [orwoWorkOrderStart] Datetime NULL,
 [afcaWorkOrderEnd_FK] Bigint NULL,
 [orwoWorkOrderEnd] Datetime NULL,
 [afgrGroup_FK] Bigint NULL,
 [orwoGroupId] Char(5) NULL,
 [orwoWorkOrderValue_AG] Decimal(18,2) NULL,
 [orwoOrderCount_AG] Smallint NULL,
 [orwoOrderOpenCount_AG] Smallint NULL,
 [orwoOrderLineOpenCount_AG] Smallint NULL,
 [orwoInvoiceLinePaidCount_AG] Smallint NULL,
 [orwoCommitted_AG] Decimal(18,2) NULL,
 [orwoContractlCommittments_AG] Decimal(18,2) NULL,
 [orwoIncurred_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
go

-- Add keys for table dbo.DOR_WORKORDER

ALTER TABLE [DOR_WORKORDER] ADD CONSTRAINT [PK_DOR_WORKORDER] PRIMARY KEY ([orwo_PK])
go

-- Table dbo.DPJ_TASK_STD

CREATE TABLE [DPJ_TASK_STD]
(
 [pjtas_PK] Bigint NOT NULL,
 [afco_FK] Bigint NOT NULL,
 [pjtasTaskId_NK] Char(20) NOT NULL,
 [pjtasTask] Char(30) NULL,
 [pjwcTaskClass_FK] Bigint NULL,
 [pjtasTaskClassId] Char(10) NULL,
 [afumUom_FK] Bigint NULL,
 [pjtasUom] Char(5) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [pjtasQtyMetricId] Char(5) NULL,
 [pjtasPrintOrder] Smallint NULL,
 [pjtasTaskCount_AG] Smallint NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DPJ_TASK_STD

ALTER TABLE [DPJ_TASK_STD] ADD CONSTRAINT [PK_DPJ_TASK_STD] PRIMARY KEY ([pjtas_PK])
go

-- Table dbo.DAF_UOM

CREATE TABLE [DAF_UOM]
(
 [afum_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afumUnits_NK] Char(5) NOT NULL,
 [afumUnitSystem] Char(1) NULL,
 [afumDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_UOM

ALTER TABLE [DAF_UOM] ADD CONSTRAINT [PK_DAF_UOM] PRIMARY KEY ([afum_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_WORKMETRIC

CREATE TABLE [DAF_WORKMETRIC]
(
 [afwm_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afwmWorkMetric_NK] Char(10) NOT NULL,
 [afwmDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_WORKMETRIC

ALTER TABLE [DAF_WORKMETRIC] ADD CONSTRAINT [PK_DAF_WORKMETRIC] PRIMARY KEY ([afwm_PK])
 ON [PRIMARY]
go

-- Table dbo.DSY_ERRORLOG

CREATE TABLE [DSY_ERRORLOG]
(
 [ader_PK] Bigint NOT NULL,
 [afcaLoadDate_FK] Bigint NULL,
 [aderLoadDate] Smalldatetime NULL,
 [aderErrorDate] Smalldatetime NULL,
 [aderEtlProcess] Char(30) NULL,
 [aderEntity] Char(30) NULL,
 [aderAttribute] Char(30) NULL,
 [syecErrorCode_FK] Bigint NULL,
 [aderErrorCodeId] Char(20) NULL,
 [aderErrorDesc] Char(60) NULL,
 [aderFatal] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DSY_ERRORLOG

ALTER TABLE [DSY_ERRORLOG] ADD CONSTRAINT [PK_DAF_ERRORLOG] PRIMARY KEY ([ader_PK])
 ON [PRIMARY]
go

-- Table dbo.DLA_EXPENSEDETAIL

CREATE TABLE [DLA_EXPENSEDETAIL]
(
 [laed_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NOT NULL,
 [laehCompanyId_NK] Char(10) NOT NULL,
 [laehExpense_FK] Bigint NOT NULL,
 [laehExpenseId_NK] Char(15) NOT NULL,
 [laedExpenseLineId_NK] Smallint NOT NULL,
 [afcaExpenseReportDate_FK] Bigint NULL,
 [laehReportDate] Datetime NULL,
 [lalaEmployee_FK] Bigint NULL,
 [laehEmployeeId] Char(10) NULL,
 [laehEmployee] Char(50) NULL,
 [adbkPerson_FK] Bigint NULL,
 [laehPersonId] Char(15) NULL,
 [laedBillableFlag] Bit NULL,
 [afcoBillToCustomer_FK] Bigint NULL,
 [laehBillToCustomerId] Char(10) NULL,
 [afcaPeriod_FK] Bigint NULL,
 [laehPeriodEnd] Datetime NULL,
 [pjprProject_FK] Bigint NULL,
 [laedProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [laedTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [laedCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [pjtaWbsId] Char(20) NULL,
 [orohOrder_FK] Bigint NULL,
 [laedOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [laedOrderLineId] Smallint NULL,
 [laedReleaseId] Char(20) NULL,
 [afloSite_FK] Bigint NULL,
 [laedSiteId] Char(15) NULL,
 [laedExpenseCity] Char(30) NULL,
 [laedExpenseState] Char(30) NULL,
 [laedExpenseCountry] Char(30) NULL,
 [laedDesc] Char(60) NULL,
 [afcaExpenseDate_FK] Bigint NULL,
 [laedExpenseDate] Datetime NULL,
 [laetExpenseType_FK] Bigint NULL,
 [laedExpenseTypeId] Char(15) NULL,
 [laedExpenseAmt] Decimal(13,2) NULL,
 [laedMileage] Decimal(7,2) NULL,
 [laedMileageRate] Decimal(7,2) NULL,
 [laedReimburseAmt] Decimal(13,2) NULL,
 [laehExpenseAccount] Char(20) NULL,
 [laehReimbursementAccount] Char(20) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DLA_EXPENSEDETAIL

ALTER TABLE [DLA_EXPENSEDETAIL] ADD CONSTRAINT [PK_DLA_EXPENSEDETAIL] PRIMARY KEY ([laed_PK],[laehExpense_FK])
go

-- Table dbo.DLA_TIMECARD

CREATE TABLE [DLA_TIMECARD]
(
 [lath_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NULL,
 [latdCompanyId_NK] Char(10) NOT NULL,
 [lathTimeCardId_NK] Char(15) NOT NULL,
 [lathDesc] Char(60) NULL,
 [afmsTimecardStatus_FK] Bigint NULL,
 [pjprTimecardStatusId] Char(15) NULL,
 [lattTimecardType_FK] Bigint NULL,
 [lathTimecardTypeId] Char(20) NULL,
 [lastSummaryType_FK] Bigint NULL,
 [lastSummaryId] Char(10) NULL,
 [afgrGroup_FK] Bigint NULL,
 [lathGroupId] Char(5) NULL,
 [laalForeman_FK] Bigint NULL,
 [lathForemanId] Char(10) NULL,
 [xxxxCrew_FK] Bigint NULL,
 [lathCrewId] Char(10) NULL,
 [lathCrew] Char(50) NULL,
 [afcaShiftDate_FK] Bigint NULL,
 [lathShiftDate] Smalldatetime NULL,
 [laalLabor_FK] Bigint NULL,
 [lathLaborId] Char(10) NULL,
 [lashShift_FK] Bigint NULL,
 [lathShiftId] Char(1) NULL,
 [lathPeriod] Char(10) NULL,
 [lathLocationCount_AG] Smallint NULL,
 [afcaDatePosted_FK] Bigint NULL,
 [lathDatePosted] Datetime NULL,
 [afcaTimeCardDate_FK] Bigint NULL,
 [lathTimeCardDate] Smalldatetime NULL,
 [afcaReceived_FK] Bigint NULL,
 [lathReceived] Smalldatetime NULL,
 [afcaDueDate_FK] Bigint NULL,
 [lathDueDate] Smalldatetime NULL,
 [lathReceiptLag_AG] Decimal(18,2) NULL,
 [lathVoid] Bit NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [lathVoidDate] Datetime NULL,
 [afctCustomer_FK] Bigint NULL,
 [lathCustomerId] Char(10) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [lathWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [lathContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [lathOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [lathOrderLineId] Smallint NULL,
 [orreRelease_FK] Bigint NULL,
 [lathReleaseId] Char(20) NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [lahFieldChangeOrderId] Char(15) NULL,
 [pjprProject_FK] Bigint NULL,
 [lathProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [lathTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [lathCostCodeId] Char(10) NULL,
 [lathLineCount_AG] Smallint NULL,
 [lathRegularHours_AG] Decimal(18,3) NULL,
 [lathOvertimeHours_AG] Decimal(18,3) NULL,
 [lathDoubletimeHours_AG] Decimal(18,3) NULL,
 [lathContractorHours_AG] Decimal(18,3) NULL,
 [lathContractorSubsHours_AG] Decimal(18,3) NULL,
 [lathGrossLaborHours_AG] Decimal(18,3) NULL,
 [lathNetLaborAmt_AG] Decimal(18,2) NULL,
 [lathExpenseAmt_AG] Decimal(18,2) NULL,
 [lathPerdiemAmt_AG] Decimal(18,2) NULL,
 [lathAgencyAmt_AG] Decimal(18,2) NULL,
 [lathBurdenAmt_AG] Decimal(18,2) NULL,
 [lathGrossLaborAmt_AG] Decimal(18,2) NULL,
 [lathEquipmentAmt_AG] Decimal(18,2) NULL,
 [lathEquipmentHours_AG] Decimal(18,3) NULL,
 [lathRentalAmt_AG] Decimal(18,3) NULL,
 [lathRentalHours_AG] Decimal(18,3) NULL,
 [lathMaterialAmt_AG] Decimal(18,2) NULL,
 [lathSubcontractorAmt_AG] Decimal(18,2) NULL,
 [lathMarkupAmt_AG] Decimal(18,2) NULL,
 [lathOtherAmt_AG] Decimal(18,2) NULL,
 [lathManpowerUnits_AG] Decimal(18,3) NULL,
 [lathCompletedUnits_AG] Decimal(18,3) NULL,
 [lathCompletedPercent_AG] Decimal(8,4) NULL,
 [lathGrossIncurredCost_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
go

-- Add keys for table dbo.DLA_TIMECARD

ALTER TABLE [DLA_TIMECARD] ADD CONSTRAINT [PK_DLA_TIMECARD] PRIMARY KEY ([lath_PK])
go

-- Table dbo.DLA_TIMECARDSUMMARY

CREATE TABLE [DLA_TIMECARDSUMMARY]
(
 [latx_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcoCompany_FK] Bigint NOT NULL,
 [latxCompanyId_NK] Char(10) NOT NULL,
 [lathTimeCard_FK] Bigint NOT NULL,
 [latxTimeCardId_NK] Char(15) NOT NULL,
 [latxTimeCardLineId_NK] Smallint NOT NULL,
 [latxDesc] Char(120) NULL,
 [latxLineCount_AG] Smallint NULL,
 [lattTimecardType_FK] Bigint NULL,
 [latxTimecardTypeId] Char(20) NULL,
 [afgrGroup_FK] Bigint NULL,
 [latxGroupId] Char(5) NULL,
 [laalForeman_FK] Bigint NULL,
 [latxForemanId] Char(10) NULL,
 [xxxxCrew_FK] Bigint NULL,
 [latxCrewId] Char(10) NULL,
 [latxCrew] Char(50) NULL,
 [afcaShiftDate_FK] Bigint NULL,
 [latxShiftDate] Smalldatetime NULL,
 [laalLabor_FK] Bigint NULL,
 [latxLaborId] Char(10) NULL,
 [lashShift_FK] Bigint NULL,
 [latxShiftId] Char(1) NULL,
 [latxPeriod] Char(10) NULL,
 [afloLocation_FK] Bigint NULL,
 [latxLocationId] Char(15) NULL,
 [afcaDatePosted_FK] Bigint NULL,
 [latxDatePosted] Datetime NULL,
 [afcaTimeCardDate_FK] Bigint NULL,
 [latxTimeCardDate] Smalldatetime NULL,
 [afcaReceived_FK] Bigint NULL,
 [latxReceived] Smalldatetime NULL,
 [afcaDueDate_FK] Bigint NULL,
 [latxDueDate] Smalldatetime NULL,
 [latxReceiptLag_AG] Decimal(18,2) NULL,
 [latxVoid] Bit NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [latxVoidDate] Datetime NULL,
 [afctCustomer_FK] Bigint NULL,
 [latxCustomerId] Char(10) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [latxWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [latxContractId] Char(10) NULL,
 [orohOrder_FK] Bigint NULL,
 [latxOrderId] Char(15) NULL,
 [orodOrderLine_FK] Bigint NULL,
 [latxOrderLineId] Smallint NULL,
 [orreRelease_FK] Bigint NULL,
 [latxReleaseId] Char(20) NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [latxFieldChangeOrderId] Char(15) NULL,
 [pjprProject_FK] Bigint NULL,
 [latxProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [latxTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [latxCostCodeId] Char(10) NULL,
 [lacrCraft_FK] Bigint NULL,
 [latxCraftId] Char(5) NULL,
 [latxRegularHours_AG] Decimal(18,3) NULL,
 [latxOvertimeHours_AG] Decimal(18,3) NULL,
 [latxDoubletimeHours_AG] Decimal(18,3) NULL,
 [latxContractorHours_AG] Decimal(18,3) NULL,
 [latxContractorSubsHours_AG] Decimal(18,3) NULL,
 [latxGrossLaborHours_AG] Decimal(18,3) NULL,
 [latxEquipmentHours_AG] Decimal(18,3) NULL,
 [latxEquipmentDesc] Char(60) NULL,
 [latxRentalHours_AG] Decimal(18,3) NULL,
 [latxRentalDesc] Char(60) NULL,
 [latxMaterialDesc] Char(60) NULL,
 [latxSubcontractorDesc] Char(60) NULL,
 [latxOtherCostDesc] Char(60) NULL,
 [latxManpowerUnits_AG] Decimal(18,3) NULL,
 [latxGrossLaborAmt_AG] Decimal(18,2) NULL,
 [latxEquipmentAmt_AG] Decimal(18,2) NULL,
 [latxMaterialAmt_AG] Decimal(18,2) NULL,
 [latxOtherAmt_AG] Decimal(18,2) NULL,
 [latxCompletedUnits_AG] Decimal(18,3) NULL,
 [latxCompletedPercent_AG] Decimal(8,4) NULL,
 [latxGrossIncurredCost_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DLA_TIMECARDSUMMARY

ALTER TABLE [DLA_TIMECARDSUMMARY] ADD CONSTRAINT [PK_DLA_TIMECARDSUMMARY] PRIMARY KEY ([latx_PK],[lathTimeCard_FK])
go

-- Table dbo.DOR_ORDERDETAIL

CREATE TABLE [DOR_ORDERDETAIL]
(
 [orod_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orohOrder_FK] Bigint NOT NULL,
 [orodOrderId_NK] Char(15) NOT NULL,
 [orodOrderLineId_NK] Smallint NOT NULL,
 [orohOrderDesc] Char(60) NULL,
 [orohTermsAndConditions] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [orchRevision] Smallint NULL,
 [orohBillable] Bit NULL,
 [orohPosted] Bit NULL,
 [orohRelease] Bit NULL,
 [orodBackOrder] Bit NULL,
 [orohProgressPayment] Bit NULL,
 [orohKit] Bit NULL,
 [ordoHazardous] Bit NULL,
 [xxxxHazard_FK] Bigint NULL,
 [ordoHazardClassId] Char(5) NULL,
 [xxxxMsds_FK] Bigint NULL,
 [orodMsdsId] Char(10) NULL,
 [orwoWorkOrder_FK] Bigint NULL,
 [orohWorkOrderId] Char(15) NULL,
 [orcnContract_FK] Bigint NULL,
 [orcnContractId] Char(10) NULL,
 [orctContractType_FK] Bigint NULL,
 [orohContractTypeId] Char(2) NULL,
 [xxxxProposal_FK] Bigint NULL,
 [orohProposalId] Char(20) NULL,
 [orocOrderClass_FK] Bigint NULL,
 [orohOrderClassId] Char(2) NULL,
 [afgrGroup_FK] Bigint NULL,
 [orohGroupId] Char(5) NULL,
 [orrhRequisition_FK] Bigint NULL,
 [orohRequisitionId] Char(15) NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orohSupplierId] Char(10) NULL,
 [afplPlant_FK] Bigint NULL,
 [orodPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NULL,
 [orodFacilityId] Char(5) NULL,
 [aseqEquipment_FK] Bigint NULL,
 [orodEquipmentId] Char(25) NULL,
 [pjprProject_FK] Bigint NULL,
 [Project Id] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [orodTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [orodCostCodeId] Char(10) NULL,
 [afctCostType_FK] Bigint NULL,
 [orodCostTypeId] Char(2) NULL,
 [lalaRequisitioner_FK] Bigint NULL,
 [orohRequisitionerId] Char(10) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [afbkNotifyOnReceiptId] Char(15) NULL,
 [orohNotifyOnReceipt] Char(50) NULL,
 [lalaBuyer_FK] Bigint NULL,
 [orohBuyerId] Char(10) NULL,
 [afbkGivenTo_FK] Bigint NULL,
 [orohGivenToId] Char(15) NULL,
 [orohGivenTo] Char(50) NULL,
 [lalaApprovedBy_FK] Bigint NULL,
 [orohApprovedById] Char(10) NULL,
 [afloJobSite_FK] Bigint NULL,
 [orohJobSiteId] Char(15) NULL,
 [orohJobSite] Char(60) NULL,
 [xxxxFob_FK] Bigint NULL,
 [orohFobId] Char(20) NULL,
 [orohDockDesc] Char(60) NULL,
 [orscShippingCode_FK] Bigint NULL,
 [orohShippingCodeId] Char(10) NULL,
 [orohShippingDesc] Char(60) NULL,
 [afcoBroker_FK] Bigint NULL,
 [orohBrokerId] Char(15) NULL,
 [orohBroker] Char(50) NULL,
 [orohCustomsWaitTime] Tinyint NULL,
 [afbkShipTo_FK] Bigint NULL,
 [orohShipToId] Char(15) NULL,
 [orohShipToEmail] Char(50) NULL,
 [orohShipToPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orohShipToPhone] Char(14) NULL,
 [orohShipToPhoneExt] Char(4) NULL,
 [orohShipToAddress1] Char(40) NULL,
 [orohShipToAddress2] Char(40) NULL,
 [orohShipToCity] Char(30) NULL,
 [afstShipToState_FK] Bigint NULL,
 [orohShipToStateId] Char(30) NULL,
 [orohShipToState] Char(30) NULL,
 [afcnShipToCountry_FK] Bigint NULL,
 [orohShipToCountryId] Char(30) NULL,
 [orohShipToCountry] Char(30) NULL,
 [orohShipToPostalCode] Char(10) NULL,
 [afbkBillTo_FK] Bigint NULL,
 [orohBillToId] Char(15) NULL,
 [orohBillToEmail] Char(50) NULL,
 [orohBillToPhoneCountry] Char(3) DEFAULT 1 NULL,
 [orohBillToPhone] Char(14) NULL,
 [orohBillToPhoneExt] Char(4) NULL,
 [orohBillToAddress1] Char(40) NULL,
 [orohBillToAddress2] Char(40) NULL,
 [orohBillToCity] Char(30) NULL,
 [afstBillToState_FK] Bigint NULL,
 [orohBillToStateId] Char(30) NULL,
 [orohBillToState] Char(30) NULL,
 [afcnBillToCountry_FK] Bigint NULL,
 [orohBillToCountryId] Char(30) NULL,
 [orohBillToCountry] Char(30) NULL,
 [orohBillToPostalCode] Char(10) NULL,
 [orodPartNo] Char(15) NULL,
 [xxxxPartClass_FK] Bigint NULL,
 [orodPartClassId] Char(20) NULL,
 [orodUnitWeight] Decimal(10,2) NULL,
 [afumUnitWeightUom_FK] Bigint NULL,
 [orodUnitWeightUom] Char(5) NULL,
 [xxxxManufacturer_FK] Bigint NULL,
 [orodManufacturerId] Char(10) NULL,
 [Manufacturer] Char(50) NULL,
 [orodManufacturerPartNo] Char(15) NULL,
 [orodHours] Decimal(12,3) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [orodCurrencyId] Bigint NULL,
 [orodQuantity] Decimal(12,2) NULL,
 [orodOrderLineDesc] Char(120) NULL,
 [afumUom_FK] Bigint NULL,
 [orodUom] Char(5) NULL,
 [orodUnitCost] Decimal(13,2) NULL,
 [orodNetAmt_AG] Decimal(13,2) NULL,
 [orodTaxable] Bit NULL,
 [aftcTaxJur_FK] Bigint NULL,
 [orodTaxJurId] Char(5) NULL,
 [afttTaxType_FK] Bigint NULL,
 [orodTaxTypeId] Char(5) NULL,
 [orodTaxPercent] Decimal(8,4) NULL,
 [orodUseTaxAmt] Decimal(13,2) NULL,
 [orodSalesTaxAmt] Decimal(13,2) NULL,
 [orodOtherTaxAmt] Decimal(13,2) NULL,
 [orodTaxAmt] Decimal(13,2) NULL,
 [orodBrokerageFee] Decimal(13,2) NULL,
 [orodTariffFee] Decimal(13,2) NULL,
 [orodFreightAmt] Decimal(13,2) NULL,
 [orohMarkupPercent] Decimal(8,4) NULL,
 [orohMarkupBasis] Char(60) NULL,
 [orodMarkupAmt] Decimal(13,2) NULL,
 [orohRetensionPaid] Bit NULL,
 [orodRetensionMonths] Tinyint NULL,
 [orodRetensionPercent] Decimal(8,4) NULL,
 [orodRetensionAmt_AG] Decimal(18,2) NULL,
 [orodRetensionInterestPercent] Decimal(8,4) NULL,
 [orodRetensionInterestAmt_AG] Decimal(18,2) NULL,
 [orodGrossAmt_AG] Decimal(18,2) NULL,
 [orodGrossUnitCost_AG] Decimal(18,2) NULL,
 [orodInvoiceLineCount_AG] Smallint NULL,
 [orodReceivedQty_AG] Decimal(18,3) NULL,
 [orodIncurredAmt_AG] Decimal(18,2) NULL,
 [orodInvoiceAmt_AG] Decimal(18,2) NULL,
 [orodPaidAmt_AG] Decimal(18,2) NULL,
 [orodPaidToDate_AG] Decimal(18,2) NULL,
 [orodPendingPayment_AG] Decimal(18,2) NULL,
 [orodPaidQty_AG] Decimal(18,3) NULL,
 [orodPendingPaymentQty_AG] Decimal(18,3) NULL,
 [orodHoursIncurred_AG] Decimal(18,3) NULL,
 [orodHoursInvoiced_AG] Decimal(18,3) NULL,
 [orodHoursPending_AG] Decimal(18,3) NULL,
 [orodHoursPaid_AG] Decimal(18,3) NULL,
 [afcaRequisitionApprovalDate_FK] Bigint NULL,
 [orohRequisitionApprovalDate] Datetime NULL,
 [afcaEnteredDate_FK] Bigint NULL,
 [orohEnteredDate] Datetime NULL,
 [afcaApprovedDate_FK] Bigint NULL,
 [orohApprovedDate] Datetime NULL,
 [afcaOrderDate_FK] Bigint NULL,
 [orohOrderDate] Datetime NULL,
 [afcaEarlyReceiptDate_FK] Bigint NULL,
 [orohEarlyReceiptDate] Datetime NULL,
 [afcaRequiredDate_FK] Bigint NULL,
 [orohRequiredDate] Datetime NULL,
 [afcaPromisedShipDate_FK] Bigint NULL,
 [orohPromisedShipDate] Datetime NULL,
 [afcaShippingEta_FK] Bigint NULL,
 [orohShippingEta] Datetime NULL,
 [afcaShippedDate_FK] Bigint NULL,
 [orohShippedDate] Datetime NULL,
 [afcaFirstReceivedDate_FK] Bigint NULL,
 [orohFirstReceivedDate] Datetime NULL,
 [afcaLastReceivedDate_FK] Bigint NULL,
 [orohLastReceivedDate] Datetime NULL,
 [afcaCompletedDate_FK] Bigint NULL,
 [orohCompletedDate] Datetime NULL,
 [afcaVoidDate_FK] Bigint NULL,
 [orohVoidDate] Datetime NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
go

-- Add keys for table dbo.DOR_ORDERDETAIL

ALTER TABLE [DOR_ORDERDETAIL] ADD CONSTRAINT [PK_DOR_ORDERDETAIL] PRIMARY KEY ([orod_PK],[orohOrder_FK])
go

-- Table dbo.DPJ_AFE

CREATE TABLE [DPJ_AFE]
(
 [pjaf_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjafAfeId_NK] Char(20) NOT NULL,
 [pjafAfe] Char(30) NULL,
 [pjafAfeScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [afgrGroup_FK] Bigint NULL,
 [pjafGroupId] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_AFE

ALTER TABLE [DPJ_AFE] ADD CONSTRAINT [PK_DPJ_AFE] PRIMARY KEY ([pjaf_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_BUDGET

CREATE TABLE [DPJ_BUDGET]
(
 [pjbf_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afcaTransactionDate_FK] Bigint NOT NULL,
 [pjbfTransactionDate (NK)] Smalldatetime NOT NULL,
 [pjbfPeriod] Char(10) NULL,
 [pjbtBudgetType_FK] Bigint NULL,
 [pjbfBudgetTypeId_NK] Char(15) NOT NULL,
 [pjbtsStdBudgetType_FK] Bigint NULL,
 [pjbfStdBudgetTypeId] Char(15) NULL,
 [afmsTransactionStatus_FK] Bigint NULL,
 [pjbfTransactionStatusId] Char(15) NULL,
 [pjafAfe_FK] Bigint NULL,
 [pjbfAfeId] Char(20) NULL,
 [pjprProject_FK] Bigint NULL,
 [pjbfProjectId_NK] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [pjbfTaskId_NK] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [pjbfCostCodeId_NK] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [pjbfWbsId] Char(20) NULL,
 [afclCostClass_FK] Bigint NULL,
 [pjbfCostClassId] Char(15) NULL,
 [plehEstimate_FK] Bigint NULL,
 [pjbfEstimateId] Char(30) NULL,
 [afgpGroup_FK] Bigint NULL,
 [pjbfGroupId] Char(5) NULL,
 [lalaContact_FK] Bigint NULL,
 [pjbfContactId] Char(15) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [pjbfCurrencyId] Char(3) NULL,
 [pjbfAmount] Decimal(13,2) NULL,
 [pjbfHours] Decimal(12,3) NULL,
 [pjbfQuantity] Decimal(12,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DPJ_BUDGET

ALTER TABLE [DPJ_BUDGET] ADD CONSTRAINT [PK_DPJ_BUDGET] PRIMARY KEY ([pjbf_PK])
go

-- Table dbo.DPJ_BUDGETTYPE

CREATE TABLE [DPJ_BUDGETTYPE]
(
 [pjbt_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjbtBudgetTypeId_NK] Char(15) NOT NULL,
 [pjbtBudgetType] Char(30) NULL,
 [pjbtDesc] Text NULL,
 [pjbtStdFlag] Char(1) NULL,
 [pjbtsStdBudgetType_FK] Bigint NULL,
 [pjbtStdBudgetTypeId] Char(15) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_BUDGETTYPE

ALTER TABLE [DPJ_BUDGETTYPE] ADD CONSTRAINT [PK_DPJ_BUDGETTYPE] PRIMARY KEY ([pjbt_PK])
 ON [PRIMARY]
go

-- Table dbo.DPL_ESTIMATEDETAIL

CREATE TABLE [DPL_ESTIMATEDETAIL]
(
 [pled_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [plehEstimate_FK] Bigint NOT NULL,
 [pledEstimateId_NK] Char(30) NOT NULL,
 [pledEstimateLineId_NK] Smallint NULL,
 [pledEstimateLineDesc] Char(120) NULL,
 [xxxxTakeOff_FK] Bigint NULL,
 [pledTakeOffId] Char(15) NULL,
 [plehRevision] Smallint NULL,
 [afmsEstimateStatus_FK] Bigint NULL,
 [plehEstimateStatusId] Char(15) NULL,
 [afgpGroup_FK] Bigint NULL,
 [pledGroupId] Char(5) NULL,
 [lalaEstimator_FK] Bigint NULL,
 [pledEstimatorId] Char(15) NULL,
 [pjprProject_FK] Bigint NULL,
 [pledProjectId] Char(20) NULL,
 [pjprProject] Char(30) NULL,
 [pjtaTask_FK] Bigint NULL,
 [pledTaskId] Char(20) NULL,
 [pjtaTask] Char(60) NULL,
 [afccCostCode_FK] Bigint NULL,
 [pledCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [pledWbsId] Char(20) NULL,
 [afclCostClass_FK] Bigint NULL,
 [pledCostClassId] Char(15) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [pledCurrencyId] Char(3) NULL,
 [pledCost_AG] Decimal(18,2) NULL,
 [pledHours_AG] Decimal(18,3) NULL,
 [pledQuantity_AG] Decimal(18,3) NULL,
 [afumQtyMetric_FK] Bigint NULL,
 [pledQuantityMetric] Char(10) NULL,
 [pledDuration_AG] Decimal(18,2) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DPL_ESTIMATEDETAIL

ALTER TABLE [DPL_ESTIMATEDETAIL] ADD CONSTRAINT [PK_DPL_ESTIMATEDETAIL] PRIMARY KEY ([pled_PK],[plehEstimate_FK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_TASK

CREATE TABLE [DPJ_TASK]
(
 [pjta_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [pjprProjectParent_FK] Bigint NULL,
 [pjprProject_FK] Bigint NOT NULL,
 [pjprProjectId_NK] Char(20) NOT NULL,
 [pjprProject] Char(30) NULL,
 [pjprProjectScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [pjppProjectPhase_FK] Bigint NULL,
 [pjprProjectPhaseId] Char(15) NULL,
 [pjtaTaskId_NK] Char(20) NOT NULL,
 [pjtaTask] Char(60) NULL,
 [pjtaTaskScope] Text COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 [pjtasStdTask_FK] Bigint NULL,
 [pjtaStdTaskId] Char(20) NULL,
 [pjtaTaskType_FK] Bigint NULL,
 [pjtaTaskTypeId] Char(15) NULL,
 [DirectIndirect] Char(1) NULL,
 [pjprTaxCredit] Bit NULL,
 [pjprRandD] Bit DEFAULT 0 NULL,
 [pjtaTimeCard] Bit DEFAULT 0 NULL,
 [pjtaCriticalPath] Bit DEFAULT 0 NULL,
 [pjtaCurrencyConflict] Bit NULL,
 [pjtaPrintOrder] Smallint NULL,
 [afmsTaskStatus_FK] Bigint NULL,
 [pjtaTaskStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [pjtaActionCodeId] Char(20) NULL,
 [xxxxDivision_FK] Bigint NULL,
 [pjtaDivisionId] Char(5) NULL,
 [xxxxDepartment_FK] Bigint NULL,
 [pjtaDepartmentId] Char(5) NULL,
 [xxxxOffice_FK] Bigint NULL,
 [pjtaOfficeId] Char(10) NULL,
 [afcoCustomer_FK] Bigint NULL,
 [pjprCustomerId] Char(10) NULL,
 [pjprCustomerProjectCode] Char(30) NULL,
 [pjprCustomerProjectTitle] Char(30) NULL,
 [pjtaCustomerTaskId] Char(30) NULL,
 [pjtaCustomerTaskTitle] Char(30) NULL,
 [orcnContract_FK] Bigint NULL,
 [pjprContractId] Char(10) NULL,
 [pjtaCustomerOrderId] Char(15) NULL,
 [pjtaCustomerOrderLine] Smallint NULL,
 [afcaContractDate_FK] Bigint NULL,
 [pjprContractDate] Datetime NULL,
 [pjtaContractLineAmount_AG] Decimal(18,2) NULL,
 [afgdProjectGrade_FK] Bigint NULL,
 [pjprProjectGradeId] Char(2) NULL,
 [xxxxProjectGradeDoc_FK] Bigint NULL,
 [pjprProjectGradeDocId] Char(30) NULL,
 [afgdTaskGrade_FK] Bigint NULL,
 [pjtaTaskGradeId] Char(2) NULL,
 [xxxxTaskGradeDoc_FK] Bigint NULL,
 [pjtaTaskGradeDocId] Char(30) NULL,
 [afptProjectType_FK] Bigint NULL,
 [pjprProjectTypeId] Char(5) NULL,
 [pjwcWorkClass_FK] Bigint NULL,
 [pjprWorkClassId] Char(10) NULL,
 [glccCostCenter_FK] Bigint NULL,
 [pjtaCostCenterId] Char(5) NULL,
 [afclCostClass_FK] Bigint NULL,
 [pjtaCostClassId] Char(15) NULL,
 [afccCostCode_FK] Bigint NULL,
 [pjtaCostCodeId] Char(10) NULL,
 [pjtaCostCodeHours] Decimal(12,3) NULL,
 [pjprCostCodeQty] Decimal(12,2) NULL,
 [pjprCostCodeUom_FK] Bigint NULL,
 [pjprCostCodeUom] Char(5) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [pjtaWbsId] Char(20) NULL,
 [afcoOperator_FK] Bigint NULL,
 [pjprOperatorId] Char(10) NULL,
 [afbkApprover_FK] Bigint NULL,
 [pjprApproverId] Char(15) NULL,
 [afbkArchitect_FK] Bigint NULL,
 [pjprArchitectId] Char(15) NULL,
 [pjprArchitectProjectId] Char(30) NULL,
 [afbkCustomerContact_FK] Bigint NULL,
 [pjprCustomerContactId] Char(15) NULL,
 [afgrAccountingGroup_FK] Bigint NULL,
 [pjprAccountingGroupId] Char(5) NULL,
 [afgrProjectGroup_FK] Bigint NULL,
 [pjprProjectGroupId] Char(5) NULL,
 [afgrTaskGroup_FK] Bigint NULL,
 [pjtaTaskGroupId] Char(5) NULL,
 [afbkProgramManager_FK] Bigint NULL,
 [pjprProgramManagerId] Char(15) NULL,
 [afbkProjectManager_FK] Bigint NULL,
 [pjprProjectManagerId] Char(15) NULL,
 [afbkTaskManager_FK] Bigint NULL,
 [pjtaTaskManagerId] Char(15) NULL,
 [afbkProjectEngineer_FK] Bigint NULL,
 [pjprProjectEngineerId] Char(15) NULL,
 [afbkCCShift1_FK] Bigint NULL,
 [pjprCCShift1Id] Char(15) NULL,
 [afbkCCShift2_FK] Bigint NULL,
 [pjprCCShift2Id] Char(15) NULL,
 [afbkCCShift3_FK] Bigint NULL,
 [pjprCCShift3Id] Char(15) NULL,
 [afbkCCShift4_FK] Bigint NULL,
 [pjprCCShift4Id] Char(15) NULL,
 [afbkSafetyOfficer_FK] Bigint NULL,
 [pjprSafetyOfficer Id] Char(15) NULL,
 [afbkCostEngineer_FK] Bigint NULL,
 [pjprCostEngineerId] Char(15) NULL,
 [afbkPlanner_FK] Bigint NULL,
 [pjprPlannerId] Char(15) NULL,
 [afbkEstimator_FK] Bigint NULL,
 [pjprEstimatorId] Char(15) NULL,
 [scshSchedule_FK] Bigint NULL,
 [pjtaScheduleId] Char(10) NULL,
 [scsdActivity_FK] Bigint NULL,
 [pjtaActivityId] Char(15) NULL,
 [pjtaScheduleHours] Decimal(12,3) NULL,
 [afcaContractStart_FK] Bigint NULL,
 [pjprContractStart] Datetime NULL,
 [afcaContractEnd_FK] Bigint NULL,
 [pjprContractEnd] Datetime NULL,
 [afcaAnticipatedStart_FK] Bigint NULL,
 [pjtaAnticipatedStart] Smalldatetime NULL,
 [afcaAnticipatedEnd_FK] Bigint NULL,
 [pjtaAnticipatedEnd] Smalldatetime NULL,
 [afcaActualStart_FK] Bigint NULL,
 [pjtaActualStart] Smalldatetime NULL,
 [afcaActualEnd_FK] Bigint NULL,
 [pjtaActualEnd] Smalldatetime NULL,
 [afcaConstructionStart_FK] Bigint NULL,
 [pjtaConstructionStart] Smalldatetime NULL,
 [afcaConstructionEnd_FK] Bigint NULL,
 [pjtaConstructionEnd] Smalldatetime NULL,
 [pjtaPertEs] Smallint NULL,
 [pjtaPertEf] Smallint NULL,
 [pjtaPertLs] Smallint NULL,
 [pjtaPertLf] Smallint NULL,
 [pjtaPertDuration] Smallint NULL,
 [pjtaPertFloat] Smallint NULL,
 [afloSite_FK] Bigint NULL,
 [pjprSiteId] Char(15) NULL,
 [afloProperty_FK] Bigint NULL,
 [pjprPropertyId] Char(15) NULL,
 [afloReceivingSite_FK] Bigint NULL,
 [pjtaReceivingSiteId] Char(15) NULL,
 [afplPlant_FK] Bigint NULL,
 [pjtaPlantId] Char(4) NULL,
 [affaFacility_FK] Bigint NULL,
 [pjtaFacilityId] Char(5) NULL,
 [aseqEquipment_FK] Bigint NULL,
 [pjtaEquipmentId] Char(25) NULL,
 [pjcpCampaign_FK] Bigint NULL,
 [pjprCampaignId] Char(20) NULL,
 [afctCostType_FK] Bigint NULL,
 [pjprCostTypeId] Char(2) NULL,
 [pjafAfe_FK] Bigint NULL,
 [pjprAfeId] Char(20) NULL,
 [plehEstimate_FK] Bigint NULL,
 [pjprEstimateId] Char(30) NULL,
 [pledEstimateLine_FK] Bigint NULL,
 [pjtaEstimateLineId] Smallint NULL,
 [afloEngDocLocation_FK] Bigint NULL,
 [pjprEngDocLocationId] Char(15) NULL,
 [afloAcctDocLocation_FK] Bigint NULL,
 [pjprAcctDocLocationId] Char(15) NULL,
 [afloOrderDocLocation_FK] Bigint NULL,
 [pjprOrderDocLocationId] Char(15) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [pjtaCurrencyCodeId] Char(3) NULL,
 [pjtaQtyMetricCalc] Bit DEFAULT 1 NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [pjtaQtyMetricId] Char(10) NULL,
 [pjtaRequisitionAmt_AG] Decimal(18,2) NULL,
 [pjtaRequisitionHours_AG] Decimal(18,3) NULL,
 [pjtaRequisitionQty_AG] Decimal(18,3) NULL,
 [pjtaUnCommittedAmt_AG] Decimal(18,2) NULL,
 [pjtaUnCommittedHours_AG] Decimal(18,3) NULL,
 [pjtaUnCommittedQty_AG] Decimal(18,3) NULL,
 [pjtaCommittedAmt_AG] Decimal(18,2) NULL,
 [pjtaCommittedHours_AG] Decimal(18,3) NULL,
 [pjtaCommittedQty_AG] Decimal(18,3) NULL,
 [pjtaIncurredAmt_AG] Decimal(18,2) NULL,
 [pjtaIncurredHours_AG] Decimal(18,3) NULL,
 [pjtaIncurredQty_AG] Decimal(18,3) NULL,
 [pjtaPaidAmt_AG] Decimal(18,2) NULL,
 [pjtaPaidHours_AG] Decimal(18,3) NULL,
 [pjtaPaidQty_AG] Decimal(18,3) NULL,
 [pjtaTaskEstimateAmt] Decimal(13,2) NULL,
 [pjtaTaskEstimateHours] Decimal(12,3) NULL,
 [pjtaTaskEstimateQty] Decimal(12,2) NULL,
 [pjbfOriginalBudget_FK] Bigint NULL,
 [pjtaOriginalBudgetAmt] Decimal(13,2) NULL,
 [pjtaOriginalBudgetHours] Decimal(12,3) NULL,
 [pjtaOriginalBudgetQty] Decimal(12,2) NULL,
 [pjtaRevisedBudget] Decimal(13,2) NULL,
 [pjtaRevisedBudgetHours] Decimal(12,3) NULL,
 [pjtaRevisedBudgetQty] Decimal(12,2) NULL,
 [pjtaForecast] Decimal(13,2) NULL,
 [pjtaForecastHours] Decimal(12,3) NULL,
 [pjtaForecastQty] Decimal(12,2) NULL,
 [pjprContractorDelay_AG] Smallint NULL,
 [pjprOwnerDelay_AG] Smallint NULL,
 [pjprEarnedValueToDate_AG] Decimal(18,2) NULL,
 [pjprDirectRatio_AG] Decimal(8,4) NULL,
 [pjprContingencyConsumedPercent_AG] Decimal(8,4) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_TASK

ALTER TABLE [DPJ_TASK] ADD CONSTRAINT [PK_DPJ_TASK] PRIMARY KEY ([pjta_PK])
 ON [PRIMARY]
go

-- Table dbo.DPJ_BUDGETTYPE_STD

CREATE TABLE [DPJ_BUDGETTYPE_STD]
(
 [pjbts_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [pjbtsStdBudgetTypeId_NK] Char(15) NULL,
 [pjbtsStdBudgetType] Char(30) NULL,
 [pjbtDesc] Text NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DPJ_BUDGETTYPE_STD

ALTER TABLE [DPJ_BUDGETTYPE_STD] ADD CONSTRAINT [PK_DPJ_BUDGETTYPE_STD] PRIMARY KEY ([pjbts_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_ADDRESSBOOKVOL

CREATE TABLE [DAF_ADDRESSBOOKVOL]
(
 [afav_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afavAddressBookVolId_NK] Char(5) NOT NULL,
 [afavAddressBookVol] Char(30) NULL,
 [afavDesc] Char(60) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DAF_ADDRESSBOOKVOL

ALTER TABLE [DAF_ADDRESSBOOKVOL] ADD CONSTRAINT [PK_DAF_ADDRESSBOOKVOL] PRIMARY KEY ([afav_PK])
 ON [PRIMARY]
go

-- Table dbo.DAF_COSTCODE_ALT

CREATE TABLE [DAF_COSTCODE_ALT]
(
 [afcca_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [afccaAltCostCodeId_NK] Char(10) NOT NULL,
 [afccaAltCostCode] Char(30) NULL,
 [afccaDesc] Char(60) NULL,
 [afccaEstimateCostCode] Bit NULL,
 [afccaProjectCostCode] Bit NULL,
 [afccaTimeCostCode] Bit NULL,
 [afccaScheduleCostCode] Bit NULL,
 [afccaBillingCostCode] Bit NULL,
 [afumUom_FK] Bigint NULL,
 [afccaUom] Char(5) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [afccaQtyMetricId] Char(5) NULL,
 [afccaDirectIndirect] Char(1) NULL,
 [afccaActiveTaskCount_AG] Smallint NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DAF_COSTCODE_ALT

ALTER TABLE [DAF_COSTCODE_ALT] ADD CONSTRAINT [PK_DAF_COSTCODE_ALT] PRIMARY KEY ([afcca_PK])
go

-- Table dbo.DOR_RECEIVINGDETAIL

CREATE TABLE [DOR_RECEIVINGDETAIL]
(
 [ored_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [orehReceiving_FK] Bigint NOT NULL,
 [oredTrackingId] Char(15) NULL,
 [oredReceivingLine Id_NK] Smallint NOT NULL,
 [afcoSupplier_FK] Bigint NULL,
 [orehSupplierId] Char(10) NULL,
 [orehSupplier] Char(50) NULL,
 [orehManifestId] Char(15) NULL,
 [afcoShipper_FK] Bigint NULL,
 [orehShipperId] Char(10) NULL,
 [orehShipper] Char(50) NULL,
 [orehBillOfLadingId] Char(15) NULL,
 [afcaDateReceived_FK] Bigint NULL,
 [orehDateReceived] Smalldatetime NULL,
 [orehTimeReceived] Smalldatetime NULL,
 [orehDammage] Bit NULL,
 [orehFreightBill] Bit NULL,
 [orehDocsTransmitted] Bit NULL,
 [orehReceivingNotes] Text NULL,
 [orehOrderHeader_FK] Bigint NULL,
 [oredOrderId] Char(15) NULL,
 [oredOrderLine_FK] Bigint NULL,
 [oredOrderLineId] Smallint NULL,
 [oredRevision] Smallint NULL,
 [orcoFieldChangeOrder_FK] Bigint NULL,
 [oredFieldChangeOrderId] Char(15) NULL,
 [orrrRelease_FK] Bigint NULL,
 [oredReleaseId] Char(20) NULL,
 [afloReceivingLocation_FK] Bigint NULL,
 [orehReceivingLocationId] Char(15) NULL,
 [afcoReceivingLocationOperator_FK] Bigint NULL,
 [orehReceivingLocationOperatorId] Char(10) NULL,
 [pjprProject_FK] Bigint NULL,
 [oredProjectId] Char(20) NULL,
 [pjtaTask_FK] Bigint NULL,
 [oredTaskId] Char(20) NULL,
 [afccCostCode_FK] Bigint NULL,
 [oredCostCodeId] Char(10) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [oredWbsId] Char(20) NULL,
 [afbkNotifyOnReceipt_FK] Bigint NULL,
 [orehNotifyOnReceiptId] Char(15) NULL,
 [orehNotifyOnReceipt] Char(50) NULL,
 [afbkReceiver_FK] Bigint NULL,
 [orehReceiverId] Char(15) NULL,
 [xxxxPart_FK] Bigint NULL,
 [oredPartNo] Char(15) NULL,
 [oredUnitWeight] Decimal(10,2) NULL,
 [xxxxManufacturer_FK] Bigint NULL,
 [oredManufacturerId] Char(10) NULL,
 [oredManufacturer] Char(50) NULL,
 [oredManufacturerPartNo] Char(15) NULL,
 [oredOrderedQty] Decimal(12,2) NULL,
 [oreddReceivedQty] Decimal(12,2) NULL,
 [afumUom_FK] Bigint NULL,
 [oredUom] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table dbo.DOR_RECEIVINGDETAIL

ALTER TABLE [DOR_RECEIVINGDETAIL] ADD CONSTRAINT [PK_DOR_RECEIVINGDETAIL] PRIMARY KEY ([ored_PK],[orehReceiving_FK])
go

-- Table dbo.DSC_SCHEDULEDETAIL

CREATE TABLE [DSC_SCHEDULEDETAIL]
(
 [scsd_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [scshSchedule_FK] Bigint NOT NULL,
 [scsdScheduleId_NK] Char(10) NOT NULL,
 [scsdActivityId_NK] Char(15) NULL,
 [scsdActivity] Char(30) NULL,
 [xxxxWbs_FK] Bigint NULL,
 [scsdWbsId] Char(20) NULL,
 [scsdResponsibility] Char(50) NULL,
 [scsdAreaId] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL,
 [systCRC_1] Char(30) NULL,
 [systCRC_2] Char(30) NULL,
 [systDeletedFromSource] Bit NULL,
 [systChangeDate_FK] Bigint NULL,
 [systEffectiveDate] Smalldatetime NULL,
 [systEndDate] Smalldatetime NULL,
 [systChangeReason] Char(60) NULL,
 [systCurrentRecord] Bit NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DSC_SCHEDULEDETAIL

ALTER TABLE [DSC_SCHEDULEDETAIL] ADD CONSTRAINT [PK_DSC_SCHEDULEDETAIL] PRIMARY KEY ([scsd_PK],[scshSchedule_FK])
 ON [PRIMARY]
go

-- Table dbo.DSS_DAILYSNAPSHOT

CREATE TABLE [DSS_DAILYSNAPSHOT]
(
 [ssps_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [afcaSnapshotDate_FK] Bigint NULL,
 [sspsSnapshotDate_NK] Smalldatetime NOT NULL,
 [pjprProjectParent_FK] Bigint NOT NULL,
 [pjprProject_FK] Bigint NOT NULL,
 [sspsProjectId_NK] Char(20) NOT NULL,
 [sspsProject] Char(30) NULL,
 [pjppProjectPhase_FK] Bigint NULL,
 [sspsProjectPhaseId] Char(15) NULL,
 [sspsPhase] Char(30) NULL,
 [pjcpCampaign_FK] Bigint NULL,
 [pjprCampaignId] Char(20) NULL,
 [pjcpCampaign] Char(30) NULL,
 [afmsProjectStatus_FK] Bigint NULL,
 [pjprProjectStatusId] Char(15) NULL,
 [afacActionCode_FK] Bigint NULL,
 [pjprActionCodeId] Char(20) NULL,
 [sspsOriginalBudget] Decimal(18,2) NULL,
 [sspsRevisedBudget] Decimal(18,2) NULL,
 [sspsForecast] Decimal(18,2) NULL,
 [sspsEarnedValue] Decimal(18,2) NULL,
 [sspsCommitted] Decimal(18,2) NULL,
 [sspsIncurred] Decimal(18,2) NULL,
 [sspsPaid] Decimal(18,2) NULL,
 [sspsForecastDate] Smalldatetime NULL,
 [sspsOriginalBudgetHours] Decimal(18,3) NULL,
 [sspsRevisedBudgetHours] Decimal(18,3) NULL,
 [sspsForecastHours] Decimal(18,3) NULL,
 [sspsOriginalBudgetUnits] Decimal(18,3) NULL,
 [sspsRevisedBudgetUnits] Decimal(18,3) NULL,
 [sspsForecastUnits] Decimal(18,3) NULL,
 [afwmQtyMetricUom_FK] Bigint NULL,
 [sspsQtyMetricId] Char(5) NULL,
 [afwmWorkMetric] Char(30) NULL,
 [sspsPercentComplete] Decimal(8,4) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
ON [PRIMARY]
go

-- Add keys for table dbo.DSS_DAILYSNAPSHOT

ALTER TABLE [DSS_DAILYSNAPSHOT] ADD CONSTRAINT [Key1] PRIMARY KEY ([ssps_PK])
go

-- Table DLA_CRAFTFEE

CREATE TABLE [DLA_CRAFTFEE]
(
 [lacf_PK] Bigint NOT NULL,
 [afso_FK] Bigint NOT NULL,
 [lacfCraftFeeScheduleId_NK] Char(10) NOT NULL,
 [lacrCraft_FK] Bigint NULL,
 [lacfCraftId] Char(5) NOT NULL,
 [lacfDesc] Char(60) NULL,
 [afcoCompany_FK] Bigint NULL,
 [lacfCompanyId] Char(10) NULL,
 [afmsCraftFeeStatus_FK] Bigint NULL,
 [lacfCraftFeeStatusId] Char(15) NULL,
 [afcuCurrency_FK] Bigint NULL,
 [lacfCurrencyId] Char(3) NULL,
 [lacfRegularRate] Decimal(9,3) NULL,
 [lacfOvertimeRate] Decimal(9,3) NULL,
 [lacfDoubletimeRate] Decimal(9,3) NULL,
 [lacfStandbyRate] Decimal(9,3) NULL,
 [afcaStartDate_FK] Bigint NULL,
 [lacfStartDate] Datetime NULL,
 [afcaEndDate_FK] Bigint NULL,
 [lacfEndDate] Datetime NULL,
 [afgrGroup_FK] Bigint NULL,
 [lacfGroup Id] Char(5) NULL,
 [systEntryBy] Char(50) NULL,
 [systEntryDate] Smalldatetime NULL,
 [systLastEditBy] Char(50) NULL,
 [systLastEditDate] Smalldatetime NULL,
 [systLoadDate] Smalldatetime NULL
)
go

-- Add keys for table DLA_CRAFTFEE

ALTER TABLE [DLA_CRAFTFEE] ADD CONSTRAINT [PK_DLA_CRAFTFEE] PRIMARY KEY ([lacf_PK])
go

-- Table DSY_AUDIT

CREATE TABLE [DSY_AUDIT]
(
 [syau_PK] Bigint NOT NULL,
 [afso_FK] Bigint NULL,
 [syauSourceId] Smallint NULL,
 [afcaLoadDate_FK] Bigint NULL,
 [syauLoadDate_NK] Smalldatetime NOT NULL,
 [syauEntity_NK] Char(30) NOT NULL,
 [afcaEntityStart _FK] Bigint NULL,
 [syauEntityStart] Datetime NULL,
 [afcaEntityEnd_FK] Bigint NULL,
 [syauEntityEndDate] Datetime NULL,
 [afacActionCode_FK] Bigint NULL,
 [syauActionCodeId] Char(20) NULL,
 [syauFatalError] Smallint NULL,
 [syauNonFatalError] Smallint NULL,
 [afgrGroup_FK] Bigint NULL,
 [syauGroupId] Char(5) NULL,
 [syauNewLovRecord] Smallint NULL,
 [syauNotInLov] Smallint NULL,
 [syauIssues] Smallint NULL
)
go

-- Add keys for table DSY_AUDIT

ALTER TABLE [DSY_AUDIT] ADD CONSTRAINT [PK_DSY_AUDIT] PRIMARY KEY ([syau_PK])
go





